Welcome

This page links you to product and user information for the Keysight N7606B Signal Studio for Bluetooth software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Help compiled on Friday, June 03, 2016 - get the latest revision

© Keysight Technologies, Inc. 2008-2016


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7606B Signal Studio for Bluetooth software, you must have a properly configured PC and a properly configured instrument, as described in the following table

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Additional options to consider:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Additional options to consider:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG vector signal generator

(For more information see the Configuration Guide.)

Firmware version A.01.10 or later (how to upgrade)

N7606B Signal Studio for Bluetooth software

License for N7606B (see Licensing topic)

One of the following baseband generator options:

  • N5182A-650,- 651, -652, or -653

Recommended: N5182A-UNV (enhanced dynamic range), N5182A-403 (calibrated real-time noise)

E4438C ESG vector signal generator

(For more information see the Configuration Guide.)

Firmware version C.04.84 or later (how to upgrade)

N7606B Signal Studio for Bluetooth software

License for N7606B (see Licensing topic)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

E4438C-UN7 (internal bit error rate analyzer, required for BER testing)

E8267D PSG vector signal generator

(For more information see the Configuration Guide.)

Firmware version C.04.92 or later ( how to upgrade)

N7623B Signal Studio for Digital Video software License

One of the following baseband generator options:

  • Option 001 (internal baseband generator with 8 Msample memory)

  • Option 002 (internal baseband generator with 32 Msample memory)

  • Option 602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Option 005 (6 GB internal hard drive, recommended)

Option 403 (calibrated noise personality, required for C/N capability, recommended)

One of the following frequency range options:

  • Option 503 (250 kHz to 3 GHz frequency range)

  • Option 504 (250 kHz to 4 GHz frequency range)

  • Option 506 (250 kHz to 6 GHz frequency range, recommended)

N5106A PXB baseband generator and channel emulator

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 I/O channels - 2 analog I/Q out and 2 digital I/O)

  • N5106A-EFP (Baseband Generation)

  • N5106A-JFP (Calibrated AWGN)

E6607A/B/C EXT wireless communications test set

Firmware:

Version A.12.74 or later

Required options:

E6607A-503 (3 GHz) or E6607B/C-504 (3.8 GHz)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 8.1

With Windows 8.1 you do not have to install .NET Framework, rather you enable it in the Control Panel and it is downloaded and installed automatically. You must perform this procedure as the administrator and be connected to the internet.

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5. Make sure the checkbox is marked.

  3. Press OK. This will begin the installation process of .NET Framework 3.5.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M9381A PXIe Vector Signal Generator

  • E6640A EXM Wireless Test Set

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6640A EXM Wireless Test Set

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Installing the License in an EXT

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the KLM software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • E6640A EXM Wireless Test Set (50-pack options 250, 251, and 252 are standard with this product)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A
E6640A | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Using the Software

Tutorials | provides several exercises designed to help you become familiar with the software.
User Interface | describes the features of the software including Bluetooth and signal configuration parameters, signal generator settings, and frame configuration parameters.
API Control | provides information on using the Microsoft .NET-based application programming interface (API).
Troubleshooting | gives help on software, interface, instrument, and VSA compatibility problems.


Tutorials

To complete the following tutorials, refer to system requirements for a list of recommended and/or required equipment.

EDR Packet Generation | gives an example of creating Bluetooth waveform for Enhanced Data Rate packets.
Continuous Bluetooth Waveform Generation | gives an example of creating continuous Bluetooth waveform.
Dirty Transmitter Test | gives an example of creating Bluetooth waveform for dirty transmitter test.
Clock/Gate Delay Calibration and BER Test | gives an example to show how to make clock/gate delay calibration and BER test.
Frequency Hopping | gives an example of creating Bluetooth waveform with frequency hopping.
Bluetooth low energy wireless technology Packet Generation | gives an example of creating Bluetooth waveform for Bluetooth low energy wireless technology.
Creating and Exporting Waveforms | describes how to create and export waveform files for products such as SystemVue ESL Design Software.
Configuring the M9381A for Signal Studio | This procedure describes the steps unique to M9381A PXIe configurations with Signal Studio products.


EDR Packet Generation

The following example procedure shows you how to configure the Signal Studio software to create the Enhanced Data Rate (EDR) Packet for Bluetooth v2.1 + EDR.

  1. Select Bluetooth Basic Rate + Enhanced Rate from the Format drop-down menu.

  2. Click Licenses in the tree view on the left to ensure that the states for N7606B-R** and N7606B-n** are set to On.

  3. Click Packet on the navigation tree on the left to configure the packet parameters.

    Set Link Type to ACL (Enhanced Data Rate) and Payload Distribution to Multiple Packet.

  4. Click [image] in the tool bar to generate and download the waveform to the signal generator.


Continuous Bluetooth Waveform Generation

The following example procedure shows you how to configure the Signal Studio software to create the continuous Bluetooth waveform with Basic Data Rate.

  1. Select Bluetooth Basic Rate + Enhanced Rate from the Format drop-down menu.

  2. Click Licenses in the tree view on the left to ensure that the states for N7606B-R** and N7606B-n** are set to On.

  3. Click Bluetooth BR+EDR on the tree view on the left to configure the Bluetooth parameters.

    Change Bursting Active to Off.

  4. Click the [image] in the tool bar to generate and download the waveform to the signal generator.


Dirty Transmitter Test

The following example procedures show you how to configure the Signal Studio software for dirty transmitter tests.

Basic Data Rate

  1. Select Bluetooth Basic Rate + Enhanced Rate from the Format drop-down menu.

  2. Click Licenses in the tree view on the left to ensure that the states for N7606B-Q** and N7606B-n** are set to On.

  3. Click Bluetooth BR+EDR on the tree view on the left to configure the Bluetooth parameters.

    Set Dirty Transmitter State to On.

  4. Click [image] to select Test profile for BR or EDR packets.

  5. Click [image] in the tool bar to generate and download the waveform to the signal generator.

Enhanced Data Rate

  1. Set Dirty Transmitter State to On.

    Set Omit Poll Period to On.

    Set Data Rate to 2Mbps.

  2. Click [image] to select Test profile for EDR packets.

  3. Click [image] in the tool bar to generate and download the waveform to the signal generator.


Clock/Gate Delay Calibration and BER Test

This procedure requires an E4438C-UN7 (internal bit error rate analyzer).

When clock and gate signals generated by the signal generator are used to perform BER analysis, it is important to realize that the test signal transmitted by the signal generator experiences a propagation delay through the device under test. As a result, the demodulated loopback signal must be realigned in time with the clock and gate signals at the input of the BER analyzer (see figure below). Delay control over the clock and gate signals is provided by the software to enable realignment with the test signal at the input of the BER analyzer.

If the propagation delay characteristics for the device under test are known, enter the delay value in the clock/gate delay field during configuration. The clock and gate signals associated with the waveform will be delayed by the indicated amount during waveform playback. The resolution of the clock/gate delay parameter is directly coupled to the oversampling ratio setting. It can be determined by dividing the symbol period (1 μs) by the oversampling ratio. To increase the incremental delay resolution, increase the oversampling ratio of the configured waveform. When doing so, remember that increasing the oversampling ratio also increases the projected length of the waveform.

If the delay parameter is unknown, leave the default value (0 μs) in the clock/gate delay field and finish configuring the waveform. After the waveform has been calculated, the clock/gate delay calibration utility can be used to determine the delay characteristics of the device under test.

The following example procedure shows how to make clock/gate delay calibration and BER test.

  1. Select Bluetooth Basic Rate + Enhanced Rate from the Format drop-down menu.

  2. Click Licenses in the tree view on the left to ensure that the states for N7606B-R** and N7606B-n** are set to On.

  3. Click Waveform Setup in the tree view.

    Set Marker 1 Source to Symbol Clock.

    Set Marker 2 Source to Payload Gate.

  4. Click Packet in the tree view on the left.

    Set Payload Distribution to Multiple Packets.

  5. Click the [image] in the tool bar to generate and download the waveform to the signal generator.

  6. Click Bluetooth 2.1 + EDR in the tree view, then click [image] to configure Clock/Gate Delay Calibration form.

    Set Start to 0.0000 us

    Set End to 10.0000 us

    Set Step to 0.1000 us

    Set Repeat to 2

  7. Once configured, initiate the BER test sequence by pressing the [image] button. A plot of BER vs. clock/gate delay will be incrementally filled in as each BER test in the sweep is completed. Click [image] button to start delay calibration. When finished, use the arrow buttons to determine the delay value resulting in the lowest bit error rate.

  8. Click [image] and Close Window.

  9. Re-download the waveform and read BER test results from signal generator.


Frequency Hopping

The following example procedure shows how to create waveforms with frequency hopping.

  1. Select Bluetooth Basic Rate + Enhanced Rate from the Format drop-down menu.

  2. Click Licenses in the tree view on the left to ensure that the states for N7606B-R** and N7606B-n** are set to On.

  3. Click Packet in the tree view on the left to configure the packet parameters.

    Set Payload Distribution to Multiple Packets.

    Set LAP to 0x000000

  4. Click Bluetooth 2.1 + EDR in the tree view on the left to configure the Bluetooth parameters.

    Set Frequency Hopping State to On.

    Set CLK Start to 0x0000010.

  5. Click the [image] in the tool bar to generate and download the waveform to the signal generator.


Bluetooth low energy wireless technology Packet Generation

The following example procedure shows how to create Bluetooth low energy wireless technology packets.

  1. Select Bluetooth low energy technology from the Format in the menu bar.

  2. Click Licenses in the navigation tree on the left to ensure that the states for N7606B-T** (or N7606B-S**) and N7606B-n** are set to On.

  3. Click Packet in the tree view on the left to configure the packet parameters.

    Set Packet Type to Reference Packet.

    Change Payload Distribution to Multiple Packet.

  4. Click the [image] in the tool bar to generate and download the waveform to the signal generator.


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Configuring the M9381A for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9381A PXIe configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9381A PXIe. If necessary, refer to the user documentation listed below to become familiar with basic operation. This documentation is available at www.keysight.com/find/M9381A.

  • M9381A & M9391A Configuration Guide (PDF Document)

  • M9381A PXIe VSG and M9380A CW Source SCPI Programming Information (Help File)

  • M9381A PXIe Vector Signal Generator Soft Front Panel Help (Help File)

  • M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide (PDF Document)

Signal Studio provides two methods for configuring waveform playback on the M9381A:

  • Direct Connection with a Signal Studio Application

  • Using Waveform 5- and 50-Pack

Direct Connection with a Signal Studio Application

  1. Configure the hardware and cabling for the M9381A system as described in "Multiple M9381A PXIe VSGs in a single PXIe chassis" of the M9381A & M9391A Configuration Guide.

    If you are using an external trigger source, the trigger signal cable must be connected to the Trig 1 connector of the M9301A module. In the case of a multi-channel system, the trigger signal must be connected to the Trig 1 connector of all M9301A modules, using cables of equal length. For more information, refer to the subsection entitled, "Routing an External Trigger Input and ALC Hold on each M9381A PXIe VSG" of the major section entitled, "Working with 802.11ac MIMO R&D/DVT Tests" in the M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide.

  2. This step is commonly referred to as configuring the backplane triggers. Open the M9018A Soft Front Panel (SFP) and check the Allow Control box. Then click the Configure Trigger Bus tab.

    The Keysight M9018A PXIe chassis does not remember the trigger bus configuration upon cycling power.After a power cycle, you must reconfigure the bus triggers by using the M9018A SFP or by creating a persistent configuration by using the AgM9018 API.

    For single-channel and two-channel configurations, configure the GUI, as shown below. This backplane signal configuration assumes the M9381A modules are positioned in the PXIe chassis as described in the M9381A & M9391A Configuration Guide. For all other configurations and additional information, refer to the "Managing Triggers" topic located in M9381A PXIe Vector Signal Generator Soft Front Panel Help.

  3. Open the M9381 SFP (without connecting) to view the Alias. It must be "M938XA-1," as shown below, for the SCPI Parser to connect in the next step. For more information, refer to the "Creating the IVI Config Store Alias(es)" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

    Make sure the M9381 SFP is not connected to the instrument before proceeding to next step, as it and the SCPI Parser cannot run simultaneously.

  4. Run the M938x SCPI Parser. The Signal Studio software will not connect to the system unless the SCPI Parser is running. For more information, refer to the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  5. Open the Signal Studio software and, in the System Configuration Wizard, select the M9381A as the connected instrument.

  6. In the Signal Studio System Configuration Wizard, make sure the host name entered for each PXIe module uses this syntax: <hostname>::hislip<module number>. See example shown below. For more information, refer to the "Overview" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  7. You can now configure, generate, and download your Signal Studio waveform.

    If you are using an external trigger source, be sure to configure the instrument settings in the Signal Studio software. In the tree view, click Instrument and in the trigger settings, select TRIG1 for the External Source.

Using Waveform 5- and 50-Pack

To use a waveform for use with a Signal Studio 5- or 50-pack license, use any Signal Studio application to generate and download a waveform to the M9381A controller PC, where the SCPI Parser is running. You will not be able to play the waveform, however, until it is assigned and locked into one of the available 5- or 50-pack slots. For more information, refer to the "Managing Waveform Packs" topic in the M9381A PXIe Vector Signal Generator Soft Front Panel Help .


User Permissions

To install and run the N7606B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the Bluetooth installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu Bar and Tool Bar | describes the features of the software.
Quick Setups | explains how to select predefined or previously saved user-defined settings.
Status Bar | displays information related to carrier and channel parameters, waveform generation, and license status.
Status Window | describes how to view and configure signal generator parameters
Hardware Settings | provides information on Bluetooth parameters, operation setup, signal configuration, signal generator settings, and frame configuration parameters
Licenses | lists the software capability options and the respective license required to play them using the signal generator or other instrument.
Waveform Setup | describes how to configure waveform parameters


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Check [image] in the upper right corner of a parameter configuration window to display the Closed cell description window, and then click a parameter cell to display a brief description. The initial state is unchecked.

Working with Cells

Discrete Settings

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output uses discrete settings. You must select from either On or Off.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection. You can also change a setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired menu selection. Notice that a non-default selection appears in bold.

Arbitrary Settings

Frequency, on the other hand, uses arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double click either the cell with the name of the parameter, or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

Using the Tree View

The left pane of the main window is called the Closed tree view. It is useful for navigating between the quick setups, hardware configuration and signal generator settings, and the waveform setups. The right pane of the main window is called the Closed node view. This area enables you to select the project parameters and signal generator settings for displaying the waveform. Selecting an item in the tree view enables the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. Click the minus [image] box next to the title of the table and the table collapses. Click the plus [image] box and it expands again.


Menu Bar and Tool Bar

Select a command from the displayed menus to navigate to a description of the command.

File

New [image] disposes the current settings and sets the software to its initial state using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting File > New to prevent the loss of data.

Open... opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the hardware configuration that was present when the settings file was saved. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Use Quick Setups to open a saved settings file that includes the hardware connection and software settings.

Save as... saves only waveform data settings to a specified settings (.scp) file. Settings files contain function setup information, but do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

The function setup information is saved as part of the settings file (*.scp). If the number of signal generators you connected doesn't match the one saved with the setup file, the software will revert to simulated mode. If the signal generator model you connected doesn't match the one saved with the setup file, the Instrument Model Number under the software tree view Hardware > Instrument will be changed to the one in the setup file.

Recommended Practice: After recalling a setup file, click on Hardware > Instrument to verify that the instrument model is correct before proceeding.

When using Windows Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Export Waveform Data... saves an encrypted waveform file (with a .wfm file extension) to your PC. This waveform file can then be downloaded and played in other licensed instruments or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform. You can use a Web browser and the Web-enabled instrument interface to FTP a waveform file into a signal generator. This is a much easier alternative than using programming.

To download a saved waveform to a signal generator or other instrument, refer to that instrument's Programming Guide.

Most Recently Used Files displays the four most recent settings files that were either opened with Open... or saved with Save as.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Control

Generate Waveform [image] enables you to generate a waveform. Use the Status Window [image] to check for waveform errors before downloading or exporting the waveform.

Generate and Download [image] enables you to generate and download a waveform to the hardware.

When a power-sensitive DUT is connected to the signal generator, ensure that the RF power is off before downloading a waveform.

Update Hardware Settings [image] sends the current signal generator configuration to the appropriate instrument. This button updates all instrument parameters if there are multiple instrument connections. An error message describing the problem appears if the configuration is not received by the instrument.

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens the Closed System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard enables you to configure your system component connections and save the hardware configuration for later use. Use Closed Run System Configuration wizard to set up a new instrument connection, or use Quick Setups to save and change between complete setups that include the hardware connection and software settings.

Tools

Status Window enables you to turn the Status Window on or off. The status window shows the results of a parameter check on the current configuration.

Display Welcome dialog lets you enable or disable the Closed welcome dialog display.

Format

Bluetooth Basic Rate + Enhanced Rate selects the waveform configuration parameters for the Bluetooth 2.1 + EDR standard.

Bluetooth Low Energy selects the waveform configuration parameters for the Bluetooth low energy wireless technology standard.

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Index opens the Help system and displays the Index utility.

Search opens the Help system and displays the search utility.

About displays the version and release date of the software.


Quick Setup

Quick Setups

Select Quick Setups in the Closed tree view to display a list of waveform setups, each of which is associated with a specific user-defined hardware configuration or a predefined hardware configuration (Sim HW).

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

Predefined Quick Setup

Signal Studio software provides predefined quick setups that enable you to examine the default parameters for a particular function, while in simulated hardware mode. You can use the predefined quick setups as a starting point, modify the settings as desired, then save them as a new quick setup (see Custom Quick Setup). However, you cannot modify or delete the predefined quick setups.

Custom Quick Setup

After you have defined waveform parameters in the Instrument node and the Waveform Setup node, you can associate this waveform setup with the currently configured hardware (displayed in the Hardware node) by pressing the Save As Quick Setup button and providing a name for the new Quick Setup.

To save the current waveform setup with a different hardware configuration, define the new hardware configuration using the System Configuration Wizard (System > Run System Configuration Wizard), then click Save As Quick Setup.

If you change one or more Waveform Setup parameters, the software prompts you to save the changes as a Quick Setup when you exit. If you have changed only Hardware node or Instrument node settings, the software does not prompt you to save changes when you exit. Use the Save As Quick Setup button to save these changes to a Quick Setup

When using Windows Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Use the following buttons to manage your quick setups.

Save As Quick Setup

Saves the current software configuration as a Quick Setup. Enter a name for your setup in the Closed window that appears.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Open Quick Setup

Opens the selected Quick Setup.

Delete Quick Setup

Deletes the selected Quick Setup from the list. Confirm or cancel the deletion in the Closed window that appears.

You cannot delete any of the factory default Quick Setups.

Rename Quick Setup

Allows you to change the name of the selected Quick Qetup.

You cannot rename any of the factory default Quick Setups.


Status Bar

The status bar at the bottom of the window updates in real-time to show the status of running operations, such as waveform generation and downloading. Software licensing information for the signal generator is also displayed here.

The status bar is divided into the following three sections:

Run Status Section

This section shows the status of the software's setup.

The following are some of the possible run status messages:
Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status Section

This section shows the connection status of the software to the signal generator.

The following are some of the possible run status messages:
Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software cannot connect to the signal generator.

Software Message Section

This section shows license status, waveform generation progress, and error information for your setup. To view messages for multiple errors, use the status window.


Status Window

The status window displays information related to node parameters, waveform generation, and license status.

When you change a parameter, the software checks for errors and conflicts.

When you generate, download, or export waveform data, the software checks waveform generation and license status to find errors.

Click this button to turn the status window on or off, or select Status Window from the Tools menu.

A green dot indicates there are no errors in your setup.

A red dot indicates an error. Errors are listed sequentially with the most recent error at the top of the list.

Name

This column shows the channel name or type of error.

  • Configuration errors display the node name beside the red dot.

  • Generation errors display Generation Waveform beside the red dot.

  • License errors display Instrument beside the red dot.

Description

This column provides a detailed description of the error.

Note

This column provides information about how to resolve the conflict or error or provides other supplemental information.

Window Positioning

Position the Status window in one of three different locations relative to the main window or turn positioning off for a free-floating window.

For convenience, you can move the Status window to another location away from the main window even if it is positioned with the main window. However, when you move the main window, the Status window returns to its defined position next to the main window.

Select the Status window position using one of the four buttons located in the Status window. A green Closed button indicates the active positioning selection.

Click to position the Status window to the left of the main window.

Click to position the Status window to the right of the main window.

Click to position the Status window below the main window.

Click to turn positioning off (the Status window is free-floating).

Related Topics

Status Bar


Hardware Settings

 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Hardware

Select this view to display read-only information about the hardware system. When using simulated hardware, the Closed property page shows <Simulated Hardware> in the Name and Connection cells, and N/A in most of the other cells.

Run Self-Tests

Click this button to run an I/O interface connection test between the signal generator and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Test I/O Connections

Click this button to run an I/O interface connection test between the signal generator and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system when it is configured with the wizard.

Description

View the hardware configuration type.

2. Signal Generator Details

Connection

View the connectivity method, such as LAN or GPIB.

Model Number

View the signal generator model number.

Serial Number

View the signal generator serial number.

Firmware Revision

View the signal generator firmware revision number.

2.1 Options

View the list of options installed on the selected signal generator.

For a complete description of the available signal generator options, see the signal generator's data sheet.


Instrument

Clicking Instrument in the Closed tree view displays the Instrument settings table in the node view of the main window.

Click the plus [image] box to expand the table and access those parameters.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.

Local

Press this button to deactivate remote operation and return the signal generator to local (front panel) control.

Preset

Press this button to set the signal generator to a known state, either factory-defined or user-defined.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Press this button to execute an I/Q DC Calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only, and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument, and make this button available.

Power Search

Press this button to execute a manual power search calibration.

This is an internal calibration routine that improves output power accuracy when ALC is off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument, and set ALC to Off to make this button available.


1. Configuration

Instrument Model Number

Double-click or use the drop-down menu to select an instrument for your configuration.

Retrieve Instrument Model Number

Double-click or use the drop-down menu to automatically or manually retrieve the instrument parameters.

  • Auto – automatically retrieves the instrument parameters.

  • Manual – manually retrieve the instrument parameters.

Perform DC I/Q Calibration

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

  • On − the signal generator performs a DC I/Q calibration after downloading a waveform.

  • Off − the signal generator does not perform DC I/Q calibrations.


2. Basic

2. Basic: Relative Amplitude (PXB)

2. Basic: Baseband Channel Assignment (PXB)

2. Basic: RF Output Port (EXT)

Frequency

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for specified range values, see the signal generator's data sheet

Enter a value to remotely set the signal generator’s output amplitude.

Relative Amplitude (PXB)

PXB Baseband Generator and Channel Emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB Baseband Generator and Channel Emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

Double-click or use the drop-down menu to control the signal generator’s RF output state.

RF Output Port (EXT)

Choice: RF Out | RFIO 1 | RFIO 2

Default: RF Out

Double-click or use the drop-down menu to select the signal generator’s RF output port. This parameter is only available when connected to the E6607 EXT.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.


3. I/Q

I/Q instrument settings are not available for the E6607 EXT.

IQ Adjustments

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments on or off.

  • On − the values entered for I and Q parameters are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

ESG/PSG: –50% to 50%

EXG/MXG: –20% to 20%

Default:

0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

For standard I/Q, this sets an origin offset for standard in-phase signals. An offset of 100% is equivalent to 500 mV DC at the front panel I input connector. The offset is used to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feedthrough signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feedthrough signal may increase.

Q Offset

Range:

ESG/PSG: –50% to 50%

EXG/MXG: –20% to 20%

Default:

0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

This cell adjusts the amplitude level of the quadrature-phase signals. The setting appears as a percentage of full scale for standard I/Q and as an offset voltage for wideband I/Q.

When using this setting to minimize the LO feedthrough signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feedthrough signal may increase.

I/Q Gain Balance

Range: for specified range values, see the signal generator's data sheet

Set I/Q Adjustments to On to enable this parameter.

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Set I/Q Adjustments to On to enable this parameter.

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees while negative skew decreases the angle from 90 degrees.

I/Q Timing Skew Path

Choice: RF | Baseband (BB)

Default: RF

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select whether the path is RF or Baseband (BB).

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select the I/Q Correction optimization path.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

I/Q Skew

Range:

ESG/PSG: –2.0 to 2.0 seconds, in 1 ps steps

EXG/MXG: –800 to 800 ns, in 1 ps steps

Default:

0.0 seconds

Set I/Q Adjustments to On to enable this parameter.

This cell inputs skew changes to the I and Q paths, in picoseconds. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: –1.0 to 1.0 seconds

Default: 0.0 seconds

Set I/Q Adjustments to On to enable this feature.

This cell sets the I/Q delay from triggers and markers, in picoseconds.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.


4. ALC

4. ALC: ALC Trigger Source bus (M9381A)

4. ALC: ALC Mode (M9381A)

ALC

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

  • On – the ALC circuit constantly monitors and controls the output power level.

  • Off – no automatic leveling occurs.

ALC Bandwidth

Choices: Auto, 100 Hz, 1 kHz, 10 kHz, 100 kHz

Default: Auto

Select the ALC loop bandwidth from the drop-down list. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Power Search Reference

Choice: Modulation | Fixed | RMS

Default: Modulation

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select a fixed or modulation reference signal when doing a power search.

  • Fixed – power search uses a fixed 0.5 V reference.

  • Modulation – power search uses the RMS value of the current I/Q modulation as the reference.

  • RMS – power search uses the RMS voltage level stored in the waveform header as the reference. Signal Studio calculates this RMS value based on the relative power level of the symbol(s) chosen as the power reference (by default, the preamble)

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal – performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum – sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

ALC Trigger Source bus (M9381A)

Choice: AUTO | PXI0 | .. | PXI7

Default: None

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

ALC Mode (M9381A)

Choice: : Off | HOLD | TRACK

Default: Off

Double-click or use the drop-down menu to select ALC mode. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.


5. Dual ARB

5. Dual ARB: Baseband Frequency Offset (EXT)

ARB Sampling Clock

Range: 1 kHz to 125 MHz

Default: 22.4 MHz

The sampling clock frequency of the signal generator is automatically calculated by the software application.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

  • Internal – the signal generator uses its internal VCO Clock.

  • External – the signal generator uses an external VCO Clock.

The external VCO Clock is only available if the signal generator is an E4438C with option HEC or an E8267D. See the signal generator’s user’s guide for information on VCO Clock.

Waveform Runtime Scaling

Range: 1%–100%

Default: 85%

Use this cell after downloading and synchronizing with the signal generator.

Use this parameter to reduce the overshoot associated with the digital-to-analog convertor (DAC) interpolation filter. Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters. At 100 percent, some overshoot may occur; therefore the default setting is 85 percent.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto – automatically selects a digital modulation filter.

  • 2.1 MHz – applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz – applies a 40 MHz baseband filter to the I/Q signals.

  • Through – bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto – automatically selects an I/Q output filter.

  • 40 MHz – applies a 40 MHz baseband filter.

  • Through – bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Select the mode of the internal I/Q modulator.

  • Manual – manually set the attenuation level of the I/Q modulator using the Modulation Atten cell.

  • Auto – the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Modulation Attenuation

Range: 0.00 to 40.00 dB

Default: 6.00 dB

Set Modulation Attenuation Mode to Manual to enable this parameter.

Set the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

High Crest Mode

Choice: On | Off

Default: Off

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On – processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Atten levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

  • Off – disables the high crest mode.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the signal generator’s ARB reference source .

  • Internal – the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External – the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. Connect to the rear-panel BASEBAND GEN REF IN connector. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.2500000 to 100.0000000 MHz

Default: 10.0000000 MHz

Set ARB Reference to External to enable this parameter.

Use this cell after downloading and synchronizing with the signal generator.

Enter the frequency value of the external reference when using an externally supplied reference signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Baseband Frequency Offset (EXT)

Range: -50.00 MHz to 50.00 MHz

Default: 0.000 Hz

Set ARB Reference to External to enable this parameter.

Enter a frequency value by which the baseband frequency is offset relative to the carrier. This parameter is only available when connected to the E6607 EXT.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1–4

Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select an RF blanking function.

  • None – disables RF blanking.

  • Marker 1 through 4 – selects a marker to activate RF blanking. This turns off the RF output signal during specific conditions determined by the marker. Do not blank longer than 100 ms due to ALC hold limit.

The software uses Marker3 to control the RF blanking and Marker4 for ALC settings. These settings should NOT be changed unless you are knowledgeable of how the changes will affect the waveform playback. See also Marker1-4 in Project Property.

ALC Hold

Choice: None | Marker 1–4

Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

  • None – disables ALC hold.

  • Marker 1 through 4 – assigns a marker for the ALC hold function. When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period. Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

Alternate Amplitude

Choice: None | Marker 1–4

Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

  • None – disables the alternate amplitude function.

  • Marker 1 through 4 – assigns a marker for the alternate amplitude function. When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available with all instrument model numbers and may be grayed out.

Marker1–4 Polarity

Choice: Positive | Negative

Default: Positive

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the active polarity for Marker 1–4.

  • Positive – the marker signal is high during the marker points.

  • Negative – the marker signal is high during the period of no marker points.


7. Dual ARB Trigger

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Choice (M9381A): Continuous | Single

Default: Continuous

This cell selects the triggering mode.

  • Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Single – sets up a waveform to play once after receiving a trigger. See Retrigger Mode to configure the waveform's response to triggers.

  • Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External Trigger Source.

  • Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See also Segment Advance Mode.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Trigger Source

Choice: Trigger Key | External | Bus

Choice (M9381A): External | Bus

Default: External

This cell adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

  • Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • External – causes a waveform to trigger from an externally supplied trigger signal.

  • Bus – enables the sending of a command through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

External Source

Choice: Pattern Trigger In 1 | Trigger Pattern In 2

Choice (M9381A): TRIG1 | PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: Pattern Trigger In 1

Default (M9381A): PXI0

This cell selects the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

  • Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

  • TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG

  • PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

External Polarity

Choice: Positive | Negative

Default: Positive

This toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

  • Positive – the trigger out signal is asserted high (+ 5.0 V) at the start of the swept-sine modulation sweep and low (0 V) when the sweep ends.

  • Negative – reverses the polarity, so that the trigger out signal is low (0.0 V) at the start of the swept-sine modulation sweep and high (+ 5.0 V) when the sweep ends.

External Delay

Choice: On | Off

Default: Off

This cell turns the external trigger delay off or on. The selection is active only after selecting External as the trigger source.

External Delay Time

Range: 10 ns to 40 ns

Default: 1 ms

This cell sets the amount of time to delay the signal generator's response to an external trigger, in 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

This cell selects the waveform's response to triggers when Continuous is the trigger mode (continuous waveform transmission.)

  • Free Run – immediately triggers when you turn the format on.

  • Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

  • Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

This cell configures the waveform's response to triggers while using the single trigger mode. The response selections determine whether the waveform accepts a trigger during playback, and if it does, how it responds to that trigger.

  • No Retrigger – causes the waveform to ignore the triggers during playback.

  • Buffered Trigger – causes a waveform to accept a trigger during payback and to restart after the current play finishes.

  • Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Segment Advance

Choice: Single | Continuous

Default: Continuous

This cell configures how play moves from segment to segment within a waveform sequence.

  • Single – causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Gated

Choice: Active High | Active Low

Default: Active High

Sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External.

Sets the trigger active state for the gated trigger mode.

  • Gate Active = High

  • Trigger Signal State = High

    • Waveform file stops playing.

  • Gate Active = High

  • Trigger Signal State = Low

    • Waveform file plays.

  • Gate Active = Low

  • Trigger Signal State = High

    • Waveform file plays.

  • Gate Active = Low

  • Trigger Signal State = Low

    • Waveform file stops playing.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.


8. Real-time Noise Setup

If an instrument does not have Real-time Noise capabilities, the noise effect does not work.

Real-time Noise

This cell enables or disables adding real-time, non-repeating additive white gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – enables the addition of Real-time Noise. Automatically sets RF Blanking = None.

  • Off – disables the addition of Real-time Noise. Automatically sets RF Blanking = Marker 3.

Carrier to Noise Ratio

Range: –100 dB to 100 dB

Default: 0.0 dB

This cell selects the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. The noise power is the in-channel noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: 0.001 to 80.0 MHz

Default: 1.0 Hz

Displays the carrier bandwidth. This is the same as the bandwidth of the target carrier. (Read-only)

Noise Bandwidth Factor

Range: 1 - 2

Default: 1

Displays the flat noise bandwidth for the applied real-time noise. (Read-only) When Real-time Noise is enabled, the software sets the following default parameters:

  • RF Blanking: NONE

  • Oversample Ratio: 2

  • Noise Bandwidth Factor: 1

The noise bandwidth is at least 0.8* Fs* OSR* NBWF.

This parameter is not available with all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 0.001 to 100 MHz

Default: 1.0 Hz

This cell displays the noise bandwidth (MHz). (Read-only)

This parameter is not available with all instrument model numbers and may be grayed out.


Licenses

Index Number

Displays the licensed feature’s index number.

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

  • On – enables the feature.

  • Off – disables the feature.

The State cell color changes to red if a feature is set to On and there is not a valid license available, or the license is expired.

Feature

Displays the license option name for the feature or the capability options available in the software. All capability and connectivity options are locked to the target instrument. Feature capability is either Basic or Advanced. Feature connectivity is specific to the type of signal generator. The option number identifies the type of license, whether perpetual or time-based, fixed or transportable, and so on.

Feature Capability

Option Number | Capability Type | License Locked To: | Time Based
N7606B-Qxx | Advanced Capability | Target instrument serial number/bar code | Yes
N7606B-Rxx | Advanced Capability | Target instrument serial number/bar code | Yes
N7606B-Sxx | Advanced Capability | Target Instrument serial number/bar code | Yes

Feature Connectivity

Option Number | Connectivity Type | License Locked To: | Time Based
N7606B-1xx | ESG connectivity | Instrument serial number | Yes
N7606B-2xx | PSG connectivity | Instrument serial number | Yes
N7606B-3xx | MXG connectivity | Instrument serial number | Yes

Minor Enhancement Updates (N7606B-Uxx)

The minor enhancement updates (MEU) option allows you to obtain the latest capabilities of the software. It is purchased as N7606B-MEU. However, each enhancement update is licensed as N7606B-Uxx, as shown in the image above. As more enhancements become available, the option suffix increments: U01, U02, U03 and so on. Purchasing MEU includes all the capabilities from previous MEU licenses. For example, purchasing the license for U03 includes everything that was in U01 and U02. If you had purchased an earlier MEU license, such as U01, and want the most recent MEU capabilities available in U03, purchasing another MEU license upgrades your software to the most current state.

Release Date Software Version MEU License

Minor Enhancements
Sep 2015 3.7 U03

  • Support the maximum length of LL_DATA and reference packet of Low Energy up to 255 octets

  • Support new LL Control Packets of Low Energy in Core_v4.1 and v4.2

  • Support maximum length of Packet Interval of Low Energy packet up to 150000 symbols
Sep 2014 3.6 U02

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

  • Added direct connectivity for the E6607 EXT
Nov 2013 3.5 U01

  • Added dirty transmitter support for low energy technology

Description

Displays a description of the licensed feature.

Instrument License

Displays the status of the selected license on the connected instrument(s).

  • Valid – the license is installed and active.

  • Invalid – the license is expired or not installed.

  • N/A – Not applicable.

  • No Info Available – Signal Studio software does not provide license information for the connected instrument.


Waveform Setup

Click Waveform Setup in the tree view displays the Waveform Setup

1. General

Waveform Name

Enter an alpha-numeric waveform file name, up to 22 characters in length. The name can include spaces and some special characters: _ $ & # + - [ ]. You can enter a name with more than 22 characters, but when you click outside of the cell, the software truncates the name to 22 characters.

The name you define here is displayed on the signal generator when you download the waveform.

Comment

Enter an alpha-numeric comment up to 32 characters in length. The comment resides in the file header and can include spaces and special characters.

Total Sample Points

View the generated waveform length (number of points). You cannot edit this cell.

Waveform Length

View the generated waveform length (in μs). You cannot edit this cell.

I/Q Map

Choice: Normal | Inverted

Default: Normal

Double-click or use the drop-down menu to select a normal or inverted I/Q signal. Select Invert to swap the I and Q signals.

Oversampling Ratio

Range: 2 to 100

Default: 10

Set the number of samples calculated per I/Q symbol.

A larger oversampling ratio results in a more completely filtered image, but uses more waveform memory because it increases the number of waveform points. A smaller oversampling ratio reduces waveform file size, but reduces performance. Notice that the Total Sample Points is updated as the Oversampling Ratio setting is changed.

2. Marker

Marker 1-4 Source

Double-click or use the drop-down menu to select the type of signal output for each marker. The markers are set to go high for selected events.

The software uses Marker 3 to control the RF blanking and Marker 4 for ALC settings. These settings should NOT be changed unless you know how the changes will affect the waveform playback.

  • None: selects no signal output. This is the default for Marker 2.

  • Waveform Start: selects high signal output at the start point of the waveform.

  • Frame Start: selects high signal output at each frame start. This is the default for Marker 1.

  • Burst Envelope: selects high signal output when the burst (except for gap) is active. This is the default for Marker 3.

  • ALC Hold: assigns a specific marker to activate the automatic leveling control (ALC) function. When enabled, the ALC constantly monitors and controls the RF output power of the ESG. This is the default setting for Marker 4.

  • Symbol Clock: selects high signal output at the middle of each symbol.

  • Payload Gate: selects high signal output at symbols that are modulated with payload data.


Bluetooth 1.1/2.1 (Advanced)

Bluetooth Basic Rate + Enhanced Rate

Click Bluetooth BR + EDR in the Closed tree view to display the Bluetooth Parameters Setup node.

This setting is only available when Licenses State for N7606B-Qxx, N7606-Rxx and N7606-nxx are enabled. See Licenses for details.


1. Bursting and Power Ramp

Bursting Active

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the bursting in the waveform. When enabled, the packet transmission timing of the test signal adheres to the

Bluetooth TDD slot structure for the selected packet type.

Figure 1. Bursted and non-bursted single slot packet transmission.

Power Ramp/ Ramp Settling

Power Ramp

Range: 1 to 10 us

Default: 6 us

Ramp Settling

Range: 1 to 20 us

Default: 6 us

At the beginning and end of a packet transmission, the signal source ramps power following a user-defined burst profile. The burst profile is defined by setting the Power Ramp and Ramp Settling fields with the desired time duration (in microseconds) (see figure below). The ramp profile is the duration of time prior to the first symbol transmission, over which the carrier frequency is ramped from idle power to transmit power. The power ramp is shaped with a cosine function, and length of the ramp can be adjusted. The Ramp Settling field sets the length of time allowed for the power level to stabilize prior to the first symbol transmission of the first bit of the preamble.

Figure 2. Burst profile of a single slot packet transmission with 6 μs power ramp and ramp settling.

Figure 3. Burst profile of a single slot packet transmission with 2 μs power ramp and 4 μs ramp settling.


2. Impairments

Modulation Index

Range: 0.05 to 0.95

Default: 0.315

Specify the modulation index, which is the ratio of peak-to-peak frequency deviation to the bit rate. Modifying this parameter impairs the peak-to-peak frequency deviation only.

Frequency Drift

Click [image] box to specify the frequency drift impairment. This impairment adds a dynamic error to the transmission frequency. It is used to simulate the frequency drift impairment repeats at the beginning of each timeslot, and occurs across a period of time equal to the duration of the packet.

State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the frequency drift impairment applied to the packet.

Type

Choice: Linear | Sine

Default: Linear

Double-click or use the drop-down menu to select the type of frequency drift applied to the packet. The two different carrier frequency drift types that are available in the menu are linear and sine. The figures below illustrate the carrier frequency drift impairment for a single-slot packet. This concept can be extended to multi-slot packets as well. The maximum frequency drift deviation is user defined.

Figure 1. Linear frequency drift impairment

Figure 2. Sinusoidal carrier frequency drift impairment

Deviation

Range: -100 to 100kHz

Default: 0 kHz

Enter the maximum deviation of frequency drift impairment. Since packets are slightly shorter than the number of timeslots they occupy, they are not fully impaired by the second half of the drift cycle. Therefore, it is recommended you test separate positive and negative drift impairment cases by changing the drift deviation setting (for example, 25 kHz and -25 kHz).

Rate

Choice: 1.6kHz | 500Hz | 300Hz | 10kHz

Default: 1.6kHz

Double-click or use the drop-down menu to select the frequency drift rate.

Frequency Offset

Range: -200 to 200kHz

Default: 0kHz

Enter the static offset for the carrier frequency. This impairment adds a static error to the transmission frequency. It is used to simulate a Bluetooth device transmitting at a frequency slightly offset from the specified carrier.

Symbol Timing Error

Range: -50 to 50ppm

Default: 0ppm

Enter the shift of standard symbol rate for transmission. This impairment varies the symbol rate of the Bluetooth signal. Adding this impairment adjusts the standard one Msymbol/second rate by the set amount.

Relative Power

Range: -10 to 10dB

Default: 0.00dB

Enter the average power level during the transmission of synchronization sequence and the payload relative to the access code and header part.


3. Dirty Transmitter

State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the dirty transmitter test. When this setting is set to On, the Dirty Transmitter Impairments Setup Table appears.

Turning on dirty transmitter will automatically disable 'Packet ' node.

Omit Poll Period

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to select whether to omit the poll period in the dirty transmitter test.

In Bluetooth systems, master and slave devices exchange information by alternating packet transmission in TDD mode. The poll period is used to simulate the time period when the other Bluetooth device would be transmitting its packets. Enabling Omit Poll Period allows for verification setups where the Bluetooth TDD mode can be ignored; instead the signal source will create Bluetooth packets for every time slot. It is beneficial when comparing results against normal TDD mode to determine the effects of LO switching, or for comparing other state machine transitions. In characterizing receiver performance, or for high-speed verifications.

The figure below shows the timing diagram for each of the three packet types. The poll period is 625 microseconds long, during which time no data is transmitted. The Omit Poll Period is transmitted before each packet type, unless omit period is enabled. The amount of poll period(s) for each packet type is as follows:

  • DH1 = 1 poll period

  • DH2 = 3 poll periods

  • DH3 = 5 poll periods

Figure 1. Timing diagram for test set for each packet type

Date Rate

Choice: Basic | 2Mbps | 3Mbps

Default: Basic

Double-click or use the drop-down menu to select the packet data rate applied to the dirty transmitter test.

Data is transmitted over the air in packets. Two modulation modes are defined: a mandatory mode called Basic Rate and an optional mode called Enhanced Data Rate. The symbol rate for all modulation schemes is 1 Ms/s. The gross air data rate is 1 Mbps for Basic Rate. Enhanced Data Rate has a primary modulation mode that provides a gross air data rate of 2 Mbps, and a secondary modulation mode that provides a gross air data rate of 3 Mbps.

Packet Type

Choice: DH1 | DH3 | DH5 | 2-DH1 | 2-DH3 | 2-DH5 | 2-EV3 | 2-EV5 | 3-DH1 | 3-DH3 | 3-DH5 | 3-EV3 | 3-EV5

Default: DH1

Couplings: The available Packet Types are determined by the Data Rate.

Double-click or use the drop-down menu to select the packet type used for the dirty transmitter test.

  • DHx packet types apply to Basic data rate.

  • 2-DHx and 2-EVx packet types apply to 2Mbps data rate.

  • 3-DHx and 3-EVx packet types apply to 3Mbps data rate.

Payload Data Mode

Choice: Truncated | Continuous

Default: Truncated

Double-click or use the drop-down menu to select the payload data mode applied to the dirty transmitter test.

Dirty Transmitter Test Sets

Use the Pre-defined button [image] to open a Closed drop-down menu for selecting the pre-defined dirty transmitter profile. Clicking a configuration replaces the current configuration in the setup table. For more parameter settings, see the Closed test profile table.

Use the Add button [image] to add a new dirty transmitter set. When a new impairment set is added, The set is inserted in the table..

Use the Delete button [image] to delete the selected impairment set. The set to be deleted is indicated by the [image] in the first column.

Use the Copy button [image] to add a new impairment set that has the same configuration as the currently selected one (indicated by the [image] in the first column).

Use the Up and Down arrows [image] to reposition the currently selected set (indicated by the [image] in the first column).

Index

This cell displays the impairment set index number.

State

Use this cell to enable or disable a specified impairment set in dirty transmitter test.

Frequency Offset [kHz]

Range: -200 to 200kHz

Use this cell to set the static offset to the carrier frequency.

Modulation Index

Range: 0.05 to 0.95

Use this cell to set the modulation index of GFSK.

Symbol Timing Error [ppm]

Range: -50 to 50

Use this cell to set the shift of standard symbol rate.


4. Clock/Gate Delay Calibration

Clock/Gate Delay Calibration

When clock and gate signals generated by the signal source are used to perform BER analysis, it is important to realize that the test signal transmitted by the signal source experiences a propagation delay through the device under test. As a result, the demodulated loopback signal must be realigned in time with the clock and gate signals at the input of the BER analyzer, Figure below. Delay control over the clock and gate signals is provided by the software to enable realignment with the test signal at the input of the BER analyzer.

For BER analysis, the following Packet parameters must be set as follows:

Link Type: any Basic Data Rate selection (do not use Enhanced Data Rate)

Payload Distribution: Multiple Packet

Payload Data: PN9

Data Continuous: On

If the propagation delay characteristics for the device under test are known, enter the delay value in the clock/gate delay field during waveform configuration. The clock and gate signals associated with the waveform will be delayed by the indicated amount during waveform playback. The resolution of the clock/gate delay parameter is directly coupled to the oversampling ratio setting. It can be determined by dividing the symbol period (1 μs) by the oversampling ratio. To increase the incremental delay resolution, increase the oversampling ratio of the configured waveform. When doing so, remember that increasing the oversampling ratio also increases the projected length of the waveform.

If the delay parameter is unknown, leave the default value (0 μs) in the clock/gate delay field and finish configuring the waveform. After the waveform has been calculated, the clock/gate delay calibration utility can be used to determine the delay characteristics of the device under test.

Click [image] to open the Clock/Gate Delay Calibration Form, allowing access to additional parameters.


5. Frequency Hopping

The basic piconet physical channel is characterized by a pseudo-random hopping through all 79 RF channels. The frequency hopping in the piconet physical channel is determined by the Bluetooth clock and BD_ADDR of the master. When the piconet is established, the master clock is communicated to the slaves. Each slave shall add an offset to its native clock to synchronize with the master clock. Since the clocks are independent, the offsets must be updated regularly. All devices participating in the piconet are time-synchronized and hop-synchronized to the channel.

State

Choice: On | Off

default: Off

Double-Click or use the drop-down menu to enable or disable frequency hopping.

Hop Selection

Choice: Selection Kernel | User Defined

Default: Selection Kernel

Double-Click or use the drop-down menu to set the hop selection type. This setting can be edited only when the Hopping State is turned On.

Changing hop selection type will cause an automatic update of waveform 'Oversampling Ratio', 'Frequency' and 'ARB Sample Clock' of signal generator.

'Selection Kernel’ means that the hopping sequence will be calculated using basic hop selection kernel, which uses ’CLK Start’ and ’UAP/LAP’ as input parameters. ’User Defined’ means that the user input sequence will be used as hopping sequence. Take the default ’0,1,2,3,4,5,6,7,8,9’ hopping sequence fro example, the packets will be transmitted on frequency points as following:

6 5 4 3 2 1 0

CLK Start

Range: 0x0000000 to 0xFFFFFFF

Default: 0x0000000

Enter the starting value of CLK as an input of kernel hop selection. This setting can be edited only when the Hopping State is turned On and Hop Selection is Selection Kernel.

Changing CLK Start will cause an automatic update of waveform 'Oversampling Ratio', 'Frequency' and 'ARB Sample Clock' of signal generator.

User Sequence

Enter the user defined hopping sequence using comma as separator. This setting can be edited only when the Hopping State is turned On and Hop Selection is User Defined.

Changing CLK Start will cause an automatic update of waveform 'Oversampling Ratio', 'Frequency' and 'ARB Sample Clock' of signal generator.

Hop Channel

Range: 0 to 78

Default: 0

Couplings: editable only when the Hopping State is Off.

Enter the fixed frequency channel index used for packet transmission.


Packet

Click Packet in the Closed tree view to display the Packet Parameters Setup node for Bluetooth Version 2.1.

This setting is only available when Licenses State for N7606B-Qxx, N7606-Rxx and N7606-nxx are enabled. See Licenses for details.


1. General Setting

Link Type

Choices: SCO (Basic Data Rate) | eSCO (Basic Data Rate) | ACL (Basic Data Rate) | eSCO (Enhanced Data Rate) | ACL (Enhanced Data Rate)

Default: ACL (Basic Data Rate)

Double-Click or use the drop-down menu to select the link type of the packet.

Packet Type

Double-Click of use the drop-down menu to select the packet type.

Type code | Slot occupied | SCO (1Mbps) | eSCO (1Mbps) | eSCO (2-3Mbps) | ACL (1Mbps) | ACL (2-3Mbps)
0000 | 1 | NULL | NULL | NULL | NULL | NULL
0001 | 1 | POLL | POLL | POLL | POLL | POLL
0010 | 1 | FHS | reserved | reserved | FHS | FHS
0011 | 1 | DM1 | reserved | reserved | DM1 | DM1
0100 | 1 | undefined | undefined | undefined | DH1 | 2-DH1
0101 | 1 | HV1 | undefined | undefined | undefined | undefined
0110 | 1 | HV2 | undefined | 2-EV3 | undefined | undefined
0111 | 1 | HV3 | EV3 | 3-EV3 | undefined | undefined
1000 | 1 | DV | undefined | undefined | undefined | 3-DH1
1001 | 1 | undefined | undefined | undefined | AUX1 | AUX1
1010 | 3 | undefined | undefined | undefined | DM3 | 2-DH3
1011 | 3 | undefined | undefined | undefined | DH3 | 3-DH3
1100 | 3 | undefined | EV4 | 2-EV5 | undefined | undefined
1101 | 3 | undefined | EV5 | 3-EV5 | undefined | undefined
1110 | 5 | undefined | undefined | undefined | DM5 | 2-DH5
1111 | 5 | undefined | undefined | undefined | DH5 | 3-DH5
n/a | 1 | ID | ID | ID | ID | ID

Occupied Slots

Display the number of time slots occupied by the specified packet.

Modulation Type

Displays the modulation type applied to the specified packet.

  • N/A

  • GFSK (BT=0.5): Basic Data Rate

  • GFSK (BT=0.5) + DQPSK: Enhanced Data Rate (2Mbps)

  • GFSK (BT=0.5) + D8PSK: Enhanced Data Rate (3Mbps)

Modulation Type (EDR burst off)

Choices: DQPSK | D8PSK | GFSK

Default: varies according to selected Packet Type

Couplings: If GFSK is selected, the Packet Data Type parameter becomes read-only and is set to All Data.

Double-click or use the drop-down menu to select the modulation type when the EDR data is bursting off.

To activate this parameter, set Bursting Active to Off and Link Type to ACL (Enhanced Data Rate) or eSCO (Enhanced Data Rate).


2. Packet Setting

Packet Data Type

Choice: Standard | All Data

Default: Standard

Double-click or use the drop-down menu to select the packet data type.

  • Standard: Uses packet type information to generate packet data.

  • All Data: Uses raw data for packet data.

  • All Data (with EDR bursting off): Uses continuous modulated PN15 data. A single modulation type is used and there are no packet structures or pauses in the signal.

BD_ADDR

Range: 0x000000000000 to 0xFFFFFFFFFFFF

Default: 0x000000000008

Each Bluetooth device shall be allocated a unique 48-bit Bluetooth device address (BD_ADDR). This address shall be obtained from the IEEE Registration Authority. The address is divided into three fields: LAP, UAP and NAP. The structure of BD_ADDR is as follows:

LSB MSB

company_assigned |  |  |  |  |  | company_id
LAP |  |  |  |  |  | UAP |  | NAP
0000 | 0001 | 0000 | 0000 | 0000 | 0000 | 0001 | 0100 | 0111 | 1011 | 0011 | 0101

LAP

Range: 1x000000 to 0xFFFFFF

Default: 0x000008

This 24-bit field shall contain the lower address part of the device.

UAP

Range: 0x00 to 0xFF

Default: 0x00

This 8-bit field should contain the upper address part of the device.

NAP

Range: 0x0000 to 0xFFFF

Default: 0x0000

This 16-bit filed should contain the non-significant address part of the device.

The LAP and UAP form the significant part of the BD_ADDR. The bit pattern in Figure below is an example BD_ADDR.

AM_ADDR

Range: 0 to 7

Default: 1

Set the logical transport address in the packet header. The header field is created using the type code of the selected packet type and the active member address (AM ADDR) of the Bluetooth device for which the packet is intended. The AM ADDR is a 3-bit address used to distinguish between the active participating slaves on a piconet. To configure the AM ADDR, enter the 3-bit address in octal notation (most significant bit to least significant bit).

FLOW

Range: 0 to1

Default: 1

Set the flow control bit in the packet header.

ARQN

Range: 0 to 1

Default: 0

Set the ARQ control bit in the packet header. The 1-bit acknowledgment indication ARQN is used to inform the source of a successful transfer of payload data with CRC, and can be positive acknowledge ACK or negative acknowledge NAK.

SEQN

Range: 0 to 1

Default: 0

Set the sequential number index in the packet header. In Multiple Packet distribution case, the SEQN bit will be set automatically. In the first CRC data packet at the start of the connection, SEQN shall be set to 1. If a new packet is sent, the value of SEQN will be toggled. If the number of total packet is not even, a padding packet will be added to keep the SEQN toggling rule.


3. Payload Setting

Different Packet Type has different Payload Setting:

Type code | Slot occupied | SCO (1Mbps) | eSCO (1Mbps) | eSCO (2-3Mbps) | ACL (1Mbps) | ACL (2-3Mbps)
0000 | 1 | NULL | NULL | NULL | NULL | NULL
0001 | 1 | POLL | POLL | POLL | POLL | POLL
0010 | 1 | FHS | reserved | reserved | FHS | FHS
0011 | 1 | DM1 | reserved | reserved | DM1 | DM1
0100 | 1 | DH1 | undefined | undefined | undefined | 2-DH1
0101 | 1 | HV1 | undefined | undefined | undefined | undefined
0110 | 1 | HV2 | undefined | 2-EV3 | undefined | undefined
0111 | 1 | HV3 | EV3 | 3-EV3 | undefined | undefined
1000 | 1 | DV | undefined | undefined | undefined | 3-DH1
1001 | 1 | undefined | undefined | undefined | AUX1 | AUX1
1010 | 3 | undefined | undefined | undefined | DM3 | 2-DH3
1011 | 3 | undefined | undefined | undefined | DH3 | 3-DH3
1100 | 3 | undefined | EV4 | 2-EV5 | undefined | undefined
1101 | 3 | undefined | EV5 | 3-EV5 | undefined | undefined
1110 | 5 | undefined | undefined | undefined | DM5 | 2-DH5
1111 | 5 | undefined | undefined | undefined | DH5 | 3-DH5
n/a | 1 | ID | ID | ID | ID | ID


Payload Setting

Payload Distribution

Choice: Single Packet | Multiple Packet

Default: Single Packet

Double-click or use the drop down menu to select the distribution type of packet payload.

When Single Packet is selected, the software creates a waveform that consists of one Bluetooth packet. When downloaded to the signal source, the waveform is repeatedly played back resulting in a packet sequence comprised of identical packets. When Multi Packet is selected, the software creates a waveform that consists of a multiple packet sequence. A data pattern is distributed into the payload portion of each packet in the sequence. Once downloaded to the instrument, the signal generator repeatedly plays back the entire packet sequence. The net result is the ability to configure longer data sequences for analysis.

LLID [b1b0]

Range: 0 to 3

Default: 2

Set the logical link indication in the packet payload header.

FLOW

Range: 0 to 1

Default: 1

The flow indicator in the payload is used to control the flow at the L2CAP level. It is used to control the flow per logical link. FLOW=1 means flow-on (GO) and FLOW=0 means flow-off (STOP). After a new connection has been established the flow indicator shall be set to GO. When a device receives a payload header with the flow bit set to STOP, it shall stop the transmission of ACL packets before an additional amount of payload data is sent.

Payload Data

Choice: PN9 | PN15 | User Defined

Default: PN9

Click [image] to set the data type of the packet payload:

When continuous (Data Continuous is set to ON) PN9 or PN15 is selected, the software automatically configures the Length and Repetitions fields. The number of packets required to accommodate the selected continuous PN pattern is also automatically determined and updated. the number of bit

If User Defined Bits is selected as the data pattern, the number of bits, shown in the Data Length field, equals s in the user data file, up to the number of bits allowed for that packet type. Any remaining bits in the user data file beyond the maximum amount will be truncated.

Data Continuous

Choice: On | Off

Default: On

Double-Click or use the drop-down menu to set the continuous state of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet.

Data Repetition

Set the repetition number of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Data Length

Set the number of total bits contained in the payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Number Of Full Packets

Display the number of full packet occupied by the packet payload.

Number Of Partial Packets

Display the number of partial packet occupied by the packet payload. Because the payload portion of each packet is filled to capacity if possible, the number of partial packets appended to the end of a packet sequence will always be 0 or 1.

Number Of Padding Packets

Choice: 0 | 1

Default: 0

Sets the number of padding packets occupied by the packet payload.

When the software creates a multiple packet sequence, the sequence bit in the header field is toggled after each packet transmission in the sequence. This indicates to the Bluetooth device that the incoming packet is not a re-transmitted packet. To maintain an alternating sequence bit when the waveform is repeatedly played back, an even number of packets must be generated. If the data pattern length is set such that an odd number of packets are required to send the data, then a pad packet is appended to the end of the packet sequence. The pad packet has no payload and is only generated in this circumstance to accommodate the alternating sequence bit.

Data Whitening

Choice: On | Off

Default: Off

Double-Click or use the drop-down menu to set the data whitening state of the packet payload.

Before transmission, both the header and the payload shall be scrambled with a data whitening word in order to randomize the data from highly redundant patterns and to minimize DC bias in the packet. The scrambling shall be performed prior to the FEC encoding.

At the receiver, the received data shall be descrambled using the same whitening word generated in the recipient. The descrambling shall be performed after FEC decoding.


Payload Setting (NULL/POLL/Undefined/HV1/HV2/HV3)

Payload Distribution

Choice: Single Packet | Multiple Packet

Default: Single Packet

Double-click or use the drop down menu to select the distribution type of packet payload.

When Single Packet is selected, the software creates a waveform that consists of one Bluetooth packet. When downloaded to the signal source, the waveform is repeatedly played back resulting in a packet sequence comprised of identical packets. When Multi Packet is selected, the software creates a waveform that consists of a multiple packet sequence. A data pattern is distributed into the payload portion of each packet in the sequence. Once downloaded to the instrument, the signal generator repeatedly plays back the entire packet sequence. The net result is the ability to configure longer data sequences for analysis.

Payload Data

Choice: PN9 | PN15 | User Defined

Default: PN9

Click [image] to set the data type of the packet payload:

When continuous (Data Continuous is set to ON) PN9 or PN15 is selected, the software automatically configures the Length and Repetitions fields. The number of packets required to accommodate the selected continuous PN pattern is also automatically determined and updated. the number of bit

If User Defined Bits is selected as the data pattern, the number of bits, shown in the Data Length field, equals s in the user data file, up to the number of bits allowed for that packet type. Any remaining bits in the user data file beyond the maximum amount will be truncated.

Data Continuous

Choice: On | Off

Default: On

Double-Click or use the drop-down menu to set the continuous state of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet.

Data Repetition

Set the repetition number of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Data Length

Set the number of total bits contained in the payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Number Of Full Packets

Display the number of full packet occupied by the packet payload.

Number Of Partial Packets

Display the number of partial packet occupied by the packet payload. Because the payload portion of each packet is filled to capacity if possible, the number of partial packets appended to the end of a packet sequence will always be 0 or 1.

Number Of Padding Packets

Choice: 0 | 1

Default: 0

Sets the number of padding packets occupied by the packet payload.

When the software creates a multiple packet sequence, the sequence bit in the header field is toggled after each packet transmission in the sequence. This indicates to the Bluetooth device that the incoming packet is not a re-transmitted packet. To maintain an alternating sequence bit when the waveform is repeatedly played back, an even number of packets must be generated. If the data pattern length is set such that an odd number of packets are required to send the data, then a pad packet is appended to the end of the packet sequence. The pad packet has no payload and is only generated in this circumstance to accommodate the alternating sequence bit.

Data Whitening

Choice: On | Off

Default: Off

Double-Click or use the drop-down menu to set the data whitening state of the packet payload.

Before transmission, both the header and the payload shall be scrambled with a data whitening word in order to randomize the data from highly redundant patterns and to minimize DC bias in the packet. The scrambling shall be performed prior to the FEC encoding.

At the receiver, the received data shall be descrambled using the same whitening word generated in the recipient. The descrambling shall be performed after FEC decoding.


Payload Setting (FHS)

Payload Distribution

Choice: Single Packet | Multiple Packet

Default: Single Packet

Double-click or use the drop down menu to select the distribution type of packet payload.

When Single Packet is selected, the software creates a waveform that consists of one Bluetooth packet. When downloaded to the signal source, the waveform is repeatedly played back resulting in a packet sequence comprised of identical packets. When Multi Packet is selected, the software creates a waveform that consists of a multiple packet sequence. A data pattern is distributed into the payload portion of each packet in the sequence. Once downloaded to the instrument, the signal generator repeatedly plays back the entire packet sequence. The net result is the ability to configure longer data sequences for analysis.

EIR

Range: 0 to 1

Default: 0

Set the extended inquiry response packet following indication bit in the FHS packet.

SR

Choice: R0, R1, R2, Reserved

Default: R0

Set the scan repetition mode in the FHS packet. This 2-bit field is the scan repetition filed and indicates the interval between two consecutive page scan windows.

Class Of Device

Range: 0x000000 to 0xFFFFFF

Default: 0x000000

Set the class of Bluetooth device. This 24-bit field shall contain the class of device of the device that sends the FHS packet. This field is defined in Bluetooth Assigned Number.

CLK

Range: 0x0000000 to 0x3FFFFFF

Default: 0x0000000

Set the native clock of the Bluetooth device. This 26-bit field shall contain the value of the native clock of the device that sends the FHS packet, sampled at the beginning of the transmission of the access code of this FHS packet. This clock value has a resolution of 1.25ms (two-slot interval). For each new transmission, this field is updated so that it accurately reflects the real-time clock value.

Page Scan Mode

Choice: Mandatory, Reserved

Default: Mandatory

Set the page scan mode in the FHS packet. This 3-bit field shall indicate which scan mode is used by default by the sender of the FHS packet.

Number Of Full Packets

Display the number of full packet occupied by the packet payload.

Number Of Partial Packets

Display the number of partial packet occupied by the packet payload. Because the payload portion of each packet is filled to capacity if possible, the number of partial packets appended to the end of a packet sequence will always be 0 or 1.

Number Of Padding Packets

Choice: 0 | 1

Default: 0

Sets the number of padding packets occupied by the packet payload.

When the software creates a multiple packet sequence, the sequence bit in the header field is toggled after each packet transmission in the sequence. This indicates to the Bluetooth device that the incoming packet is not a re-transmitted packet. To maintain an alternating sequence bit when the waveform is repeatedly played back, an even number of packets must be generated. If the data pattern length is set such that an odd number of packets are required to send the data, then a pad packet is appended to the end of the packet sequence. The pad packet has no payload and is only generated in this circumstance to accommodate the alternating sequence bit.

Data Whitening

Choice: On | Off

Default: Off

Double-Click or use the drop-down menu to set the data whitening state of the packet payload.

Before transmission, both the header and the payload shall be scrambled with a data whitening word in order to randomize the data from highly redundant patterns and to minimize DC bias in the packet. The scrambling shall be performed prior to the FEC encoding.

At the receiver, the received data shall be descrambled using the same whitening word generated in the recipient. The descrambling shall be performed after FEC decoding.


Payload Setting (DV)

Payload Distribution

Choice: Single Packet | Multiple Packet

Default: Single Packet

Double-click or use the drop down menu to select the distribution type of packet payload.

When Single Packet is selected, the software creates a waveform that consists of one Bluetooth packet. When downloaded to the signal source, the waveform is repeatedly played back resulting in a packet sequence comprised of identical packets. When Multi Packet is selected, the software creates a waveform that consists of a multiple packet sequence. A data pattern is distributed into the payload portion of each packet in the sequence. Once downloaded to the instrument, the signal generator repeatedly plays back the entire packet sequence. The net result is the ability to configure longer data sequences for analysis.

LLID [b1b0]

Range: 0 to 3

Default: 2

Set the logical link indication in the packet payload header.

FLOW

Range: 0 to 1

Default: 1

The flow indicator in the payload is used to control the flow at the L2CAP level. It is used to control the flow per logical link. FLOW=1 means flow-on (GO) and FLOW=0 means flow-off (STOP). After a new connection has been established the flow indicator shall be set to GO. When a device receives a payload header with the flow bit set to STOP, it shall stop the transmission of ACL packets before an additional amount of payload data is sent.

Payload Data (Voice)

Choice: PN9 | PN15 | User Defined

Default: PN9

Set the voice field data type of the packet payload. (Data Field 1 in DV packet type, const size 80 bits)

Payload Data

Choice: PN9 | PN15 | User Defined

Default: PN9

Click [image] to set the data type of the packet payload:

When continuous (Data Continuous is set to ON) PN9 or PN15 is selected, the software automatically configures the Length and Repetitions fields. The number of packets required to accommodate the selected continuous PN pattern is also automatically determined and updated. the number of bit

If User Defined Bits is selected as the data pattern, the number of bits, shown in the Data Length field, equals s in the user data file, up to the number of bits allowed for that packet type. Any remaining bits in the user data file beyond the maximum amount will be truncated.

Data Continuous

Choice: On | Off

Default: On

Double-Click or use the drop-down menu to set the continuous state of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet.

Data Repetition

Set the repetition number of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Data Length

Set the number of total bits contained in the payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Number Of Full Packets

Display the number of full packet occupied by the packet payload.

Number Of Partial Packets

Display the number of partial packet occupied by the packet payload. Because the payload portion of each packet is filled to capacity if possible, the number of partial packets appended to the end of a packet sequence will always be 0 or 1.

Number Of Padding Packets

Choice: 0 | 1

Default: 0

Sets the number of padding packets occupied by the packet payload.

When the software creates a multiple packet sequence, the sequence bit in the header field is toggled after each packet transmission in the sequence. This indicates to the Bluetooth device that the incoming packet is not a re-transmitted packet. To maintain an alternating sequence bit when the waveform is repeatedly played back, an even number of packets must be generated. If the data pattern length is set such that an odd number of packets are required to send the data, then a pad packet is appended to the end of the packet sequence. The pad packet has no payload and is only generated in this circumstance to accommodate the alternating sequence bit.

Data Whitening

Choice: On | Off

Default: Off

Double-Click or use the drop-down menu to set the data whitening state of the packet payload.

Before transmission, both the header and the payload shall be scrambled with a data whitening word in order to randomize the data from highly redundant patterns and to minimize DC bias in the packet. The scrambling shall be performed prior to the FEC encoding.

At the receiver, the received data shall be descrambled using the same whitening word generated in the recipient. The descrambling shall be performed after FEC decoding.


Bluetooth Low Energy Wireless Technoloty

 Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic

Bluetooth Low Energy

Click Bluetooth Low Energy in the Closed tree view to display the Bluetooth low energy wireless technology setup node.

This setting is only available by checking Bluetooth Low Energy in the Closed Menu Bar and ensuring that the license states for N7606B-Sxx and N7606-nxx, or N7606B-Txx are enabled. See Licenses for details.


1. Bursting and Power Ramp

Bursting Active

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the bursting in the waveform. When enabled, the packet transmission timing of the test signal adheres to the

Bluetooth TDD slot structure for the selected packet type.

Figure 1. Bursted and non-bursted single slot packet transmission.

Power Ramp / Ramp Settling

Power Ramp

Range: 1 to 10 us

Default: 6 us

Set the power ramp length of the burst.

Ramp Settling

Range: 1 to 20 us

Default: 6 us

At the beginning and end of a packet transmission, the signal source ramps power following a user-defined burst profile. The burst profile is defined by setting the Power Ramp and Ramp Settling fields with the desired time duration (in microseconds) (see figure below). The ramp profile is the duration of time prior to the first symbol transmission, over which the carrier frequency is ramped from idle power to transmit power. The power ramp is shaped with a cosine function, and length of the ramp can be adjusted. The Ramp Settling field sets the length of time allowed for the power level to stabilize prior to the first symbol transmission of the first bit of the preamble.

Figure 2. Burst profile of a single slot packet transmission with 6 μs power ramp and ramp settling.

Figure 3. Burst profile of a single slot packet transmission with 2 μs power ramp and 4 μs ramp settling.


2. Impairments

 Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic

2. Coding and Modulation

Coding State

Choice: On | Off

Default: Off

Specify the coding state of LE radio.

Coding Indicator

Range: 0 ~ 1

Default: 0

Set the coding indicator of LE radio.

  • 0 FEC Block 2 coded using S=8
  • 1 FEC Block 2 coded using S=2

Modulation Index

Range: 0.45 | 0.55

Default: 0.5

Double-click or use the drop-down menu to enter the modulation index of GFSK.

Symbol Rate

Choice: 1 Ms/s | 2 Ms/s

Default: 1 Ms/s

Double-click or use the drop-down menu to select the Symbol Rate of LE radio.

2 Mb/s LE is a feature of BLE 5.0., it requires the LE physical layer to support 2Ms/s packets to be transmitted.


2. Impairments

 Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic

3. Impairments

Modulation Index

Range: 0.45 to 0.55

Default: 0.5

Specify the modulation index, which is the ratio of peak-to-peak frequency deviation to the bit rate. Modifying this parameter impairs the peak-to-peak frequency deviation only.

Frequency Drift

Click [image] box to specify the frequency drift impairment. This impairment adds a dynamic error to the transmission frequency. It is used to simulate the frequency drift impairment repeats at the beginning of each timeslot, and occurs across a period of time equal to the duration of the packet.

State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the frequency drift impairment applied to the packet.

Type

Choice: Linear | Sine

Default: Linear

Double-click or use the drop-down menu to select the type of frequency drift applied to the packet. The two different carrier frequency drift types that are available in the menu are linear and sine. The figures below illustrate the carrier frequency drift impairment for a single-slot packet. This concept can be extended to multi-slot packets as well. The maximum frequency drift deviation is user defined

Figure 1 Linear frequency drift impairment

Figure 2 Sinusoidal carrier frequency drift impairment

Deviation

Range: -100 to 100kHz

Default: 0 kHz

Enter the maximum deviation of frequency drift impairment. Since packets are slightly shorter than the number of timeslots they occupy, they are not fully impaired by the second half of the drift cycle. Therefore, it is recommended you test separate positive and negative drift impairment cases by changing the drift deviation setting (for example, 25 kHz and -25 kHz).

Rate

Displays the fixed frequency drift rate (750Hz) applied to Bluetooth low energy wireless technology.

Frequency Offset

Range: -100 to 100kHz

Default: 0kHz

Enter the static offset for the carrier frequency. This impairment adds a static error to the transmission frequency. It is used to simulate a Bluetooth device transmitting at a frequency slightly offset from the specified carrier.

Symbol Timing Error

Range: -50 to 50ppm

Default: 0ppm

Enter the shift of standard symbol rate for transmission. This impairment varies the symbol rate of the Bluetooth signal. Adding this impairment adjusts the standard one Msymbol/second rate by the set amount.


 Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic

4. Dirty Transmitter

This feature is enabled only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the dirty transmitter test. When this setting is set to On, the Closed Dirty Transmitter Impairments Setup Table appears.

Turning on dirty transmitter will automatically disable 'Packet ' node.

CRC Preload

Range: 0x000000 to 0xFFFFFF

Default: 555555

Set the CRC preload state of Bluetooth low energy wireless technology packet.

Idle Interval

Range: 150 to 12500 microseconds

Default: 249 microseconds

Set the packet interval symbols of Bluetooth low energy wireless technology packet.

Packet Type

When low energy dirty transmitter is on, a reference packet with a payload length of 37 bytes is used. This is a read-only parameter.

Payload Data Mode

Choices: Truncated | Continuous

Default: Truncated

Double-click or use the drop-down menu to select whether to use truncated or continuous payload data in the dirty transmitter test.

Dirty Transmitter Test Sets

Use the Pre-defined button [image] to open a Closed drop-down menu for selecting the pre-defined dirty transmitter profile. Clicking a configuration replaces the current configuration in the setup table.

Use the Add button [image] to add a new dirty transmitter set. When a new impairment set is added, The set is inserted in the table..

Use the Delete button [image] to delete the selected impairment set. The set to be deleted is indicated by the [image] in the first column.

Use the Copy button [image] to add a new impairment set that has the same configuration as the currently selected one (indicated by the [image] in the first column).

Use the Up and Down arrows [image] to reposition the currently selected set (indicated by the [image] in the first column).

Index

This cell displays the impairment set index number.

State

Use this cell to enable or disable a specified impairment set in dirty transmitter test.

Frequency Offset [kHz]

Range: -200 to 200kHz

Set the static offset to the carrier frequency. This parameter is shown in the table when low energy dirty transmitter state is set to on.

Modulation Index

Range: 0.05 to 0.95

Set the modulation index of GFSK. This parameter is shown in the table when low energy dirty transmitter state is set to on.

Symbol Timing Error [ppm]

Range: -50 to 50

Use this cell to set the shift of standard symbol rate.


Packet

Click Packet in the Closed tree view to display the Packet Parameters Setup node for Bluetooth low energy wireless technology.

This setting is only available by checking Bluetooth low energy wireless technology in the Closed Menu Bar and Licenses State for N7606B-Sxx and N7606-nxx are enabled. See Licenses for details.


1. General Setting

Channel Type

Display the channel type of Bluetooth low energy wireless technology packet.

Bluetooth low energy wireless technology uses both frequency division multiple access (FDMA) and time division multiple access (TDMA). The 40 physical channels are pre-divided into advertising channels and data channels as per the FDMA scheme.

Packet Type

Choice: ADV_IND | ADV_DIRECT_IND | ADV_NONCONN_IND | SCAN_REQ | SCAN_RSP | CONNECT_REQ | ADV_SCAN_IND | LL_DATA | LL_CONNECTION_UPDATE_REQ | LL_CHANNEL_MAP_REQ | LL_TERMINATE_IND | LL_ENC_REQ | LL_ENC_RSP | LL_START_ENC_REQ | LL_START_ENC_RSP | LL_UNKNOWN_RSP | LL_FEATURE_REQ | LL_FEATURE_RSP | LL_PAUSE_ENC_REQ | LL_PAUSE_ENC_RSP | LL_VERSION_IND | LL_REJECT_IND | LL_SLAVE_FEATURE_REQ | LL_CONNECTION_PARAM_REQ | LL_CONNECTION_PARAM_RSP | LL_REJECT_IND_EXT | LL_PING_REQ | LL_PING_RSP | LL_LENGTH_REQ | LL_LENGTH_RSP | LL_PHY_REQ | LL_PHY_RSP | LL_PHY_UPDATE_REQ | Reference Packet

Default: Reference Packet

Set the packet type of Bluetooth low energy wireless technology.

  • Advertising Channel Type: ADV_IND | ADV_DIRECT_IND | ADV_NONCONN_IND | SCAN_REQ | SCAN_RSP | CONNECT_REQ | ADV_SCAN_IND

  • Data Channel Type: LL_DATA | LL_CONNECTION_UPDATE_REQ | LL_CHANNEL_MAP_REQ | LL_TERMINATE_IND | LL_ENC_REQ | LL_ENC_RSP | LL_START_ENC_REQ | LL_START_ENC_RSP | LL_UNKNOWN_RSP | LL_FEATURE_REQ | LL_FEATURE_RSP | LL_PAUSE_ENC_REQ | LL_PAUSE_ENC_RSP | LL_VERSION_IND | LL_REJECT_IND | LL_SLAVE_FEATURE_REQ | LL_CONNECTION_PARAM_REQ | LL_CONNECTION_PARAM_RSP | LL_REJECT_IND_EXT | LL_PING_REQ | LL_PING_RSP | LL_LENGTH_REQ | LL_LENGTH_RSP

The following Packet Type requires Option N7606B-U03 or N7606B-T: LL_SLAVE_FEATURE_REQ, LL_CONNECTION_PARAM_REQ, LL_CONNECTION_PARAM_RSP, LL_REJECT_IND_EXT, LL_PING_REQ, LL_PING_RSP, LL_LENGTH_REQ and LL_LENGTH_RSP.
The following Packet Type requires Option N7606B-T: LL_PHY_REQ, LL_PHY_RSP, LL_PHY_UPDATE_REQ.

Channel Index

Range: 0 to 39

Default: 0

Set the current channel index of Bluetooth low energy wireless technology packet.

Access Address

Range: 0x00000000 to 0xffffffff

Default: 8E89BED6

Set the logical link specify address of Bluetooth low energy wireless technology packet.

Every link layer connection has a 32-bit access address, allocated by the initiator of the link layer connection. The access address shall be different for each link layer connection created by the initiator and shall be randomly generated. The access address shall have no more than six consecutive zeros or ones. It shall not be the advertising packet sync word (’01101011011111011001000101110001’ from LSB to MSB) and shall not be any sequence of 32 bits that differs only in one bit from the sync word.

CRC Preload

Range: 0x000000 to 0xffffff

Default: 555555

Set the CRC preload state of Bluetooth low energy wireless technology packet.

The CRC shall be calculated over the PDU in all the advertising channel packets and in the data channel packets when the LL connection is operated in open mode. The CRC polynomial is 24-bit CRC and all bits in the PDU must be processed in transmitted order starting from the LSB. For every data channel packet the shift register shall be preset with the CRC initialization value set for the LL connection and communicated in CONNECT_REQ packet. For every advertising channel packet the shift register shall be preset with 0x555555.

Data Whitening

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to set the whitening state of the PDU and CRC data of Bluetooth low energy wireless technology packet.

Data whitening is done to avoid long ’0 ... 0’ or ’1 ... 1’ sequences in data bit stream. Whitening is applied on the PDU and CRC fields of all packet types (advertising as well as data channel packets) and is done after error check calculation in the transmitter and before error check calculation in the receiver.

The whitener and de-whitener are defined the same way, using a 7 bit linear feedback shift register. Before scrambling the shift register is initialized with a sequence that is derived from the channel index (data channel index or advertising channel index) in which the packet is transmitted in the following manner .

Idle Interval

Range: 150 to 12500 microseconds

Range: 150 to 150000 microseconds (Requires MEU Option U03 or greater)

Default: 249 microseconds

Set the packet interval symbols of Bluetooth low energy wireless technology packet.

It is defined as the time from the end of the last bit of the previous packet to the start of the first bit of the subsequent packet.

Packet Length

Display the packet length in microseconds.

If symbol rate is 1 Ms/s, Packet Length = Preamble Length + Access Code Length + PDU Header Length + PDU Payload length + CRC Length

If symbol rate is 2 Ms/s, Packet Length = Preamble Length + Access Code Length + Cl Length + TERM1 Length + PDU Header Length + PDU Payload length + CRC Length + TERM2 Length


 Go to description Go to description Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to description Go to description

2. PDU Header Setting

PDU header settings vary according to the selected Packet Type.

ADV_IND, ADV_NONCONN_IND, SCAN_RSP, ADV_SCAN_IND

ADV_DIRECT_IND, SCAN_REQ, CONNECT_REQ

LL_DATA, LL_CONNECTION_UPDATE_REQ, LL_CHANNEL_MAP_REQ, LL_TERMINATE_IND, LL_ENC_REQ, LL_ENC_RSP, LL_START_ENC_REQ, LL_START_ENC_RSP, LL_UNKNOWN_RSP, LL_FEATURE_REQ, LL_FEATURE_RSP, LL_PAUSE_ENC_REQ, LL_PAUSE_ENC_RSP, LL_VERSION_IND, LL_REJECT_IND, LL_SLAVE_FEATURE_REQ, LL_CONNECTION_PARAM_REQ, LL_CONNECTION_PARAM_RSP, LL_REJECT_IND_EXT, LL_PING_REQ, LL_PING_RSP, LL_LENGTH_REQ, LL_LENGTH_RSP, LL_PHY_REQ, LL_PHY_RSP, LL_PHY_UPDATE_REQ

Reference Packet

Packet Type

Display the type value of Bluetooth low energy wireless technology packet.

TxAdd

Range: 0 to 1

Default: 0

Set the public state of advertiser's address in Bluetooth low energy wireless technology packet.

  • 0 − Public

  • 1 − Private

RxAdd

Range: 0 to 1

Default: 0

Set the public state of initiator's address in Bluetooth low energy wireless technology packet.

  • 0 − Public

  • 1 − Private

LLID

Set logical link to which the packet belongs.

  • 1 − LL Data PDU: Continuation fragment of an L2CAP message, or an empty PDU

  • 2 − LL Data PDU: Start of an L2CAP message, or a complete L2CAP message with no fragmentation

  • 3 − LL Control PDU

NESN

Range: 0 to 1

Default: 0

Set the sequence number of next expected packet from the peer Bluetooth low energy wireless technology device in the LL connection.

SN

Range: 0 to 1

Default: 0

Set the sequence number of the Bluetooth low energy wireless technology packet. In multiple packet distribution mode, the SN bit will be set automatically. If a new packet is sent, the value of SN will be toggled.

MD

Range: 0 to 1

Default: 0

Set the more data indication bit of the Bluetooth low energy wireless technology packet.

Include Header Byte

Choice: True | False

Default: True

Double-click or use the drop-down menu to set header byte state of the Bluetooth low energy wireless technology packet.

Header

Range: 0x00 to 0xff

Default: 0x00

Set the header byte of the Bluetooth low energy wireless technology packet.


3. PDU Length Setting

Include Length Byte

Double-click or use the drop-down menu to set length byte state of the Bluetooth low energy wireless technology packet.

This cell is visible only when Packet Type is Reference Packet

Length (Octets)

Range: 0 to 37

Range: 0 to 255 (Requires MEU Option U03 or greater)

Default: Varies according to Packet Type

Set the payload length of the Bluetooth low energy wireless technology packet.


4. PDU Payload Setting

PDU payload settings vary according to the selected Packet Type.

  • ADV_IND

  • ADV_DIRECT_IND

  • ADV_NONCONN_IND

  • SCAN_REQ

  • SCAN_RSP

  • CONNECT_REQ

  • ADV_SCAN_IND

  • LL_DATA

  • LL_CONNECTION_UPDATE_REQ

  • LL_CHANNEL_MAP_REQ

  • LL_TERMINATE_IND

  • LL_ENC_REQ

  • LL_ENC_RSP

  • LL_START_ENC_REQ

  • LL_START_ENC_RSP

  • LL_UNKNOWN_RSP

  • LL_FEATURE_REQ

  • LL_FEATURE_RSP

  • LL_PAUSE_ENC_REQ

  • LL_PAUSE_ENC_RSP

  • LL_VERSION_IND

  • LL_REJECT_IND

  • LL_SLAVE_FEATURE_REQ

  • LL_CONNECTION_PARAM_REQ

  • LL_CONNECTION_PARAM_RSP

  • LL_REJECT_IND_EXT

  • LL_PING_REQ

  • LL_PING_RSP

  • LL_LENGTH_REQ

  • LL_LENGTH_RSP

  • LL_PHY_REQ

  • LL_PHY_RSP

  • LL_PHY_UPDATE_REQ

  • Reference Packet


PDU Payload Setting (ADV_IND, ADV_NONCONN_IND, SCAN_RSP, ADV_SCAN_IND)

Advertiser Address [AdvA]

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the advertiser address of Bluetooth low energy wireless technology device.

Each device shall be allocated a unique 48-bit device address. The address shall be obtained from the IEEE Registration Authority. The address is divided into the following two fields:

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of device address. It is the lower address part of device address consisting of 24 bits.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID for the device address. It is the upper address part of device address consisting of 24 bits.

Payload Data

Choice: PN9 | PN15 | User Defined

Default: PN9

Click [image] to set the data type of the packet payload:

When continuous (Data Continuous is set to ON) PN9 or PN15 is selected, the software automatically configures the Length and Repetitions fields. The number of packets required to accommodate the selected continuous PN pattern is also automatically determined and updated. the number of bit.

If User Defined Bits is selected as the data pattern, the number of bits, shown in the Data Length field, equals s in the user data file, up to the number of bits allowed for that packet type. Any remaining bits in the user data file beyond the maximum amount will be truncated.

Data Length (Octets)

Range: 0 to 31

Default: 31

Set the payload data length (octets) of the Bluetooth low energy wireless technology packet.


PDU Payload Setting (ADV_DIRECT_IND)

Advertiser Address [AdvA]

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the advertiser's public or random device address as indicated by TxAdd.

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of device address. It is the lower address part of device address consisting of 24 bits.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID part of device address. It is the upper address part of device address consisting of 24 bits.

Initiatorr Address [InitA]

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the initiator's public or random device address as indicated by RxAdd.

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of device address. It is the lower address part of device address consisting of 24 bits.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID part of device address. It is the upper address part of device address consisting of 24 bits.


PDU Payload Setting (SCAN_REQ)

Scanner Address (ScanA)

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the scanner's public or random device address as indicated by TxAdd.

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of Bluetooth low energy wireless technology device address.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID part of Bluetooth low energy wireless technology device address.

Advertiser Address [AdvA]

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the advertiser's public or random device address as indicated by RxAdd.

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of device address. It is the lower address part of device address consisting of 24 bits.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID part of device address. It is the upper address part of device address consisting of 24 bits.


 Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

PDU Payload Setting (CONNECT_REQ)

Initiator Address (InitA)

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the scanner's public or random device address as indicated by TxAdd.

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of Bluetooth low energy wireless technology device address.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID part of Bluetooth low energy wireless technology device address.

Advertiser Address [AdvA]

Range: 0x000000000000 to 0xffffffffffff

Default: 000000000008 [Hex]

Set the advertiser's public or random device address as indicated by RxAdd.

Company Assigned

Range: 0x000000 to 0xffffff

Default: 000008

Set the company assigned part of device address. It is the lower address part of device address consisting of 24 bits.

Company ID

Range: 0x000000 to 0xffffff

Default: 000000

Set the company ID part of device address. It is the upper address part of device address consisting of 24 bits.

LL Connection Access Address (AA)

Range: Range: 0x00000000 to 0xffffffff

Default: 00000000

Set the logical link connection's access address of Bluetooth low energy wireless technology packet.

CRC Initialization (CRCInit)

Range: 0x000000 to 0xffffff

Default: 555555

Set the CRC initialization value in the Bluetooth low energy wireless technology.

CRCInit is set to indicate initialization value for CRC calculation with the LL connection.

WinSize

Range: 1 to < 8 and (Interval - 1)

Default: 1

Set the WinSize field of the Bluetooth low energy wireless technology packet. Transmit window size = WinSize * 1.25ms

WinOffset

Range: 0 to Interval

Default: 0

Set the WinOffset field of the Bluetooth low energy wireless technology packet. Transmit windows offset = WinOffset * 1.25ms

Interval

Range: 6 to 3200

Default: 6

Set the interval of the Bluetooth low energy wireless technology packet. connInterval = Interval * 1.25 ms

Latency

Range: 0 to 500

Default: 0

Set the latency of the Bluetooth low energy wireless technology packet. connSlaveLatency = Latency

Timeout

Range: 10 to 3200

Default: 10

Set the timeout of the Bluetooth low energy wireless technology packet. connSupervisionTimeout = Timeout * 10 ms

Channel Map (ChM)

Range: 0x0000000000 to 0x1fffffffff

Default: 0000000001

Set the channel map of Bluetooth low energy wireless technology packet.

ChM contains channel map indicating used and unused data channels. Every channel is represented with bit positioned as per the data channel index.

Hop Length (Hop)

Range: 5 to 16

Default: 5

Set the hop length of the Bluetooth low energy wireless technology packet.

Hop is set to indicate hop length used in data channel selection as per the rules.

Sleep Clock Accuracy (SCA)

Choice: 500 ppm, 250 ppm, 100 ppm, 75 ppm, 50 ppm, 30 ppm, 20 ppm

Default: 500 ppm

Double-click or use the drop-down menu to select the sleep clock accuracy of Bluetooth low energy wireless technology packet.


PDU Payload Setting (LL_DATA, Reference Packet)

Payload Distribution

Choice: Single Packet | Multiple Packet

Default: Single Packet

Double-click or use the drop down menu to select the distribution type of packet payload.

When Single Packet is selected, the software creates a waveform that consists of one Bluetooth packet. When downloaded to the signal source, the waveform is repeatedly played back resulting in a packet sequence comprised of identical packets. When Multi Packet is selected, the software creates a waveform that consists of a multiple packet sequence. A data pattern is distributed into the payload portion of each packet in the sequence. Once downloaded to the instrument, the signal generator repeatedly plays back the entire packet sequence. The net result is the ability to configure longer data sequences for analysis.

Payload Data

Reference Packet:

Choice: PN9 | S11110000 | S10101010 | S11111111 | S00000000 | S00001111| S01010101 | PN15 | User Defined

Default: PN9

Click [image] to set the data type of the packet payload:

When continuous (Data Continuous is set to ON) PN9 or PN15 is selected, the software automatically configures the Length and Repetitions fields. The number of packets required to accommodate the selected continuous PN pattern is also automatically determined and updated the number of bit

When change the payload data type to PN or fixed byte pattern, the payload header byte will update according to the payload content field table below:

Payload Content Field | Payload Description
0000 | PRBS9 sequence
0001 | Repeated ’11110000’ sequence
0010 | Repeated ’10101010’ sequence
0011 | PRBS15 sequence – reserved for future use
0100 | Repeated ’11111111’ sequence - reserved for future use
0101 | Repeated ’00000000’ sequence - reserved for future use
0110 | Repeated ’00001111’ sequence - reserved for future use
0111 | Repeated ’01010101’ sequence - reserved for future use

If User Defined Bits is selected as the data pattern, the number of bits, shown in the Data Length field, equals s in the user data file, up to the number of bits allowed for that packet type. Any remaining bits in the user data file beyond the maximum amount will be truncated.

LL_DATA:

Choice: PN9 | PN15 | User Defined

Default: PN9

Click [image] to set the data type of the packet payload:

When continuous (Data Continuous is set to ON) PN9 or PN15 is selected, the software automatically configures the Length and Repetitions fields. The number of packets required to accommodate the selected continuous PN pattern is also automatically determined and updated. the number of bit.

If User Defined Bits is selected as the data pattern, the number of bits, shown in the Data Length field, equals s in the user data file, up to the number of bits allowed for that packet type. Any remaining bits in the user data file beyond the maximum amount will be truncated.

Data Continuous

Choice: On | Off

Default: On

Double-Click or use the drop-down menu to set the continuous state of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet.

Data Repetition

Set the repetition number of the packet payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Data Length

Set the number of total bits contained in the payload data.

This setting is only available when Payload Distribution is set to Multiple Packet and Data Continuous is set to Off.

Number Of Full Packets

Display the number of full packet occupied by the packet payload.

Number Of Partial Packets

Display the number of partial packet occupied by the packet payload. Because the payload portion of each packet is filled to capacity if possible, the number of partial packets appended to the end of a packet sequence will always be 0 or 1.

Number Of Padding Packets

Choice: 0 | 1

Default: 0

Sets the number of padding packets occupied by the packet payload.


PDU Payload Setting (LL_CONNECTION_UPDATE_REQ)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

WinSize

Range: 1 to < 8 and (Interval - 1)

Default: 1

Set the WinSize field of the Bluetooth low energy wireless technology packet. Transmit window size = WinSize * 1.25ms

WinOffset

Range: 0 to Interval

Default: 0

Set the WinOffset field of the Bluetooth low energy wireless technology packet. Transmit windows offset = WinOffset * 1.25ms

Interval

Range: 6 to 3200

Default: 6

Set the interval of the Bluetooth low energy wireless technology packet. connInterval = Interval * 1.25 ms

Latency

Range: 0 to 500

Default: 0

Set the latency of the Bluetooth low energy wireless technology packet. connSlaveLatency = Latency

Timeout

Range: 10 to 3200

Default: 10

Set the timeout of the Bluetooth low energy wireless technology packet. connSupervisionTimeout = Timeout * 10 ms

Instant

Range: 1 to 32767

Default: 1

Set the Count of LL connection event before the new LL connection event of the Bluetooth low energy wireless technology packet.


PDU Payload Setting (LL_CHANNEL_MAP_REQ)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Channel Map (ChM)

Range: 0x0000000000 to 0x1fffffffff

Default: 0000000001

Set the channel map of Bluetooth low energy wireless technology packet.

ChM contains channel map indicating used and unused data channels. Every channel is represented with bit positioned as per the data channel index.

Instant

Range: 1 to 32767

Default: 1

Set the Count of LL connection event before the new LL connection event of the Bluetooth low energy wireless technology packet.


PDU Payload Setting (LL_TERMINATE_IND, LL_REJECT_IND)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Error Code

Range: 0x00 to 0xff

Default: 00

Set the Error Code of the Bluetooth low energy wireless technology packet.


PDU Payload Setting (LL_ENC_REQ)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Rand

Range: 0x0000000000000000 to 0xffffffffffffffff

Default: 0000000000000000

Set the random number that is provided by the Host and used with EDIV.

EDIV

Range: 0x0000 to 0xffff

Default: 0000

Set the encrypted diversifier.

SKDm

Range: 0x0000000000000000 to 0xffffffffffffffff

Default: 0000000000000000

Set the master’s portion of the session key identifier.

IVm

Range: 0x00000000 to 0xffffffff

Default: 00000000

Set the master’s portion of the initialization vector.


PDU Payload Setting (LL_ENC_RSP)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

SKDm

Range: 0x0000000000000000 to 0xffffffffffffffff

Default: 0000000000000000

Set the slave's portion of the session key identifier.

IVm

Range: 0x00000000 to 0xffffffff

Default: 00000000

Set the slave’s portion of the initialization vector.


PDU Payload Setting (LL_START_ENC_REQ, LL_START_ENC_RSP, LL_PAUSE_ENC_REQ, LL_PAUSE_ENC_RSP, LL_PING_REQ, LL_PING_RST)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP


PDU Payload Setting (LL_UNKNOWN_RSP)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Unknown Type

Range: 0x00 to 0xff

Default: 00

Set the Opcode field value of received LL Control PDU of the Bluetooth low energy wireless technology packet.


PDU Payload Setting (LL_FEATURE_REQ, LL_FEATURE_RSP, LL_SLAVE_FEATURE_REQ)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Feature Set

Range: 0x0000000000000000 to 0xffffffffffffffff

Default: 0000000000000000

Set the set of used features of the slave's link layer of the Bluetooth low energy wireless technology packet.


PDU Payload Setting (LL_VERSION_IND)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Version Number (VersNr)

Range: 0x00 to 0xff

Default: 00

Set the version of the Bluetooth Controller specification.

Company Identifier (CompId)

Range: 0x0000 to 0xffff

Default: 0000

Set the company identifier of the manufacturer of the Bluetooth Controller.

Sub-version Number (SubVersNr)

Range: 0x0000 to 0xffff

Default: 0000

Set the unique value for each implementation or revision of an implementation of the Bluetooth Controller.


PDU Payload Setting (LL_CONNECTION_PARAM_REQ, LL_CONNECTION_PARAM_RSP)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Interval_Min

Range: 6 to 3200

Default: 6

Set to indicate minimum value of ConnInterval, as defined in Section 4.5.1 of Vol 6 Part B of Core v4.2.

Interval_Max

Range: 6 to 3200

Default: 6

Set to indicate maximum value of ConnInterval, as defined in Section 4.5.1 of Vol 6 Part B of Core v4.2.

Latency

Range: 0 to 500

Default: 0

Set the latency of the Bluetooth low energy wireless technology packet. Latency is connSlaveLatency defined in section 4.5.1 of Vol 6 Part B of Core v4.2, and shall be an integer in the range of 0 to ((ConnSupervisionTimeout / (ConnInterval * 2)) - 1), it shall also be less than 500.

Timeout

Range: 10 to 3200

Default: 10

Set the timeout of the Bluetooth low energy wireless technology packet. connSupervisionTimeout = Timeout * 10 ms.

Preferred Periodicity

Range: 0 to 3200

Default: 0

Set to indicate a value the connInterval is preferred to be multiple of. It is in units of 1.25 ms. A value of zero means not valid. It shall be less than or equal to Interval_Max.

Reference Connection Event Counter

Range: 0 to 65535

Default: 1

Set to indicate the value of connEventCounter relative to which all the valid Offset0 to Offset5 fields have been caculated.

Offset 0

Range: 0 to 3200, 65535

Default: 3

Set to indicate the possible values of the position of the anchor points of the LE connection with the updated connection parameters relative to the ReferenceConnEventCount. Offset0 to Offset5 fields are in units of 1.25 ms and are in decreasing order of preference, that is, Offset0 is the most preferred value followed by Offset1 and so on. Offset0 to Offset5 shall be less than Interval_Max. A value of 0xFFFF(65535) means not valid.Valid Offset0 to Offset5 filds shall contain unique values. Valid fields shall always be before invalid fields.

Offset 1-5

Range: 0 to 3200, 65535

Default: 65535

Set to indicate the possible values of the position of the anchor points of the LE connection with the updated connection parameters relative to the ReferenceConnEventCount. Offset0 to Offset5 fields are in units of 1.25 ms and are in decreasing order of preference, that is, Offset0 is the most preferred value followed by Offset1 and so on. Offset0 to Offset5 shall be less than Interval_Max. A value of 0xFFFF(65535) means not valid.Valid Offset0 to Offset5 filds shall contain unique values. Valid fields shall always be before invalid fields.


PDU Payload Setting (LL_REJECT_IND_EXT)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Reject Opcode

Range: 0x00 to 0xfff

Default: 00

Set the Opcode field value of the LL Control PDU being rejected.

Error Code

Range: 0x00 to 0xfff

Default: 00

Set the reason the LL Control PDU was being rejected.


PDU Payload Setting (LL_LENGTH_REQ, LL_LENGTH_RSP)

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x00 − LL_CONNECTION_UPDATE_REQ

  • 0x01 − LL_CHANNEL_MAP_REQ

  • 0x02 − LL_TERMINATE_IND

  • 0x03 − LL_ENC_REQ

  • 0x04 − LL_ENC_RSP

  • 0x05 − LL_START_ENC_REQ

  • 0x06 − LL_START_ENC_RSP

  • 0x07 − LL_UNKNOWN_RSP

  • 0x08 − LL_FEATURE_REQ

  • 0x09 − LL_FEATURE_RSP

  • 0x0A − LL_PAUSE_ENC_REQ

  • 0x0B − LL_PAUSE_ENC_RSP

  • 0x0C − LL_VERSION_IND

  • 0x0D − LL_REJECT_IND

  • 0x0E − LL_SLAVE_FEATURE_REQ

  • 0x0F − LL_CONNECTION_PARAM_REQ

  • 0x10 − LL_CONNECTION_PARAM_RSP

  • 0x11 − LL_REJECT_IND_EXT

  • 0x12 − LL_PING_REQ

  • 0x13 − LL_PING_RSP

  • 0x14 − LL_LENGTH_REQ

  • 0x15 − LL_LENGTH_RSP

Max Rx Octets

Range: 27 to 251

Default: 27

Set the sender's connMaxRxOctets, as defined in Section 4.5.10 of Vol 6 Part B of Core v4.2.

Max Rx Time

Range: 328 to 17040

Default: 328

Set the sender's connMaxRxTime, as defined in Section 4.5.10 of Vol 6 Part B of Core v4.2.

Max Tx Octets

Range: 27 to 251

Default: 27

Set the sender's connMaxTxOctets, as defined in Section 4.5.10 of Vol 6 Part B of Core v4.2.

Max Tx Time

Range: 328 to 17040

Default: 328

Set the sender's connMaxTxTime, as defined in Section 4.5.10 of Vol 6 Part B of Core v4.2.


PDU Payload Setting

  • LL_PHY_REQ, LL_PHY_RSP

  • LL_PHY_UPDATE_REQ

Opcode

Display the control type of the Bluetooth low energy wireless technology packet.

  • 0x16 − LL_PHY_REQ

  • 0x17 − LL_PHY_RSP

  • 0x18 − LL_PHY_UPDATE_REQ

Rx PHYs

Range: 0 to 5

Default: 1

Set to indicate the receiver PHYs that the sender prefers to use.

Tx PHYs

Range: 0 to 5

Default: 1

Set to indicate the transmitter PHYs that the sender prefers to use.

Master to Slave PHY

Range: 0 to 5

Default: 1

Set to indicate the PHY that shall be used for packets sent from the master to the slave.

Slave to Master PHY

Range: 0 to 5

Default: 1

Set to indicate the PHY that shall be used for packets sent from the slave to the master.

Instant

Range: 1 to 32767

Default: 1

Set the Count of LL connection event before the new LL connection event of the Bluetooth low energy wireless technology packet.


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, usage requirements, and references.
Sample API Programs | provides information about API examples included with the software that can be modified for your application
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7606B Signal Studio graphical user interface are documented in the N7606B Documented Class Library (N7606API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\Bluetooth.

Many of the links in the API help require the Microsoft Visual Studio .NET integrated development environment (IDE). Without the IDE, these links appear broken. Download the IDE to repair the links.

Sample API Programs

After the software is installed, it provides sample API programming files. You can use these samples as a starting point to develop your own API programs.

Numeric Format

This software recognizes only US style numeric format, for example, floating point is "."

Language Requirements

You must set the API locale to "en-US" using the following commands prior to starting the user main routine:

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

You can see these culture setting commands in Main .cs located in the SimpleControl sample program.

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

References

The Microsoft.NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

While installing the software, it places the following sample programs into two locations on your C: drive—both locations contain the same files:

  • ControlByGUI

  • SimpleControl

Using Microsoft Visual C# .NET, or a similar IDE, you can use these sample projects as a starting point to develop your own API programs.

Sample Program Locations

Windows 7 Sample Program Paths

  • C:\Users\<user name>\AppData\Roaming\Keysight\Signal Studio\Bluetooth\Samples

  • C:\ProgramData\Keysight\Signal Studio\Bluetooth\Samples

Windows XP Sample Program Paths

  • C:\Documents and Settings\All Users\Application Data\Keysight\Signal Studio\Bluetooth\Samples

  • C:\Documents and Settings\<user name>\Application Data\Keysight\Signal Studio\Bluetooth\Samples

Basic Program Flow

You can create an API program by performing the following general steps. This sequence is demonstrated in the Main.cs file found in the SimpleControl sample program folder located in the above paths.

This sequence is demonstrated in the Main.cs file (C:\ProgramData\Keysight\Signal Studio\Bluetooth\Samples\SimpleControl\Main.cs).

  1. Create API object.

  2. Configure the instrument connection.

  3. Configure the waveform.

  4. Generate and download the waveform to the signal generator.

Before editing the sample programs, make backup copies of all files. To save the edited files, right-click each file, select Properties, and de-select the Read-only attribute.

Simple Control Project

The Simple Control project (...\Samples\SimpleControl\SimpleControl.sln) provides a basic program for generating and downloading waveforms using API commands.

To view the code, open the SimpleControl.sln file using the Microsoft Visual C# .NET IDE, or open the Main.cs file using a text editor, such as Notepad. Since the SimpleControl.sln program flow does not use the API GUI, you will see only the code contained in the Main.cs file in the Code Editor, as shown in Figure 1.

Figure 1. Main.cs displayed in the Microsoft Visual C# .NET IDE

Control By GUI Sample Project

Using Microsoft Visual C# .NET, or a similar IDE, open the API_TEST project (...\Samples\ControlByGUI\API_TEST.sln). This displays a .NET API graphical user interface with two API mode selections (see Figure 2):

With GUI – settings that you configure using the .NET API GUI are displayed in the N7606B Signal Studio user interface, and are subsequently sent to the signal generator via the Signal Studio application. The Signal Studio GUI is automatically displayed when you select Debug mode. Using this mode allows you to see how changes in your program modify the parameters in the Signal Studio software interface.

No GUI – settings that you configure using the .NET API are not displayed in the N7606B Signal Studio user interface, but are sent directly to the API instance of the Signal Studio application and subsequently to the signal generator.

Ensure that the .dll file Keysight.SignalStudio.N7606B is correctly displayed under References in the Solution Explorer. If the file is not listed, add it as follows:

  1. Select Project > Add Reference. A window opens in which you can select the reference files.

  2. Locate the directory (the listed paths assume that you installed Signal Studio for Bluetooth in the default location):

    • Windows XP—C:\Program Files\Keysight\Signal Studio\Bluetooth

    • Windows 7—C:\Program Files (x86)\Keysight\Signal Studio\Bluetooth

  3. Highlight "Keysight.SignalStudio.N7606.dll".

  4. Click Add to add the file in the project as a reference.

Figure 2. API graphical user interface

To view the C# code in the API_TEST project, select the TestApiForm.cs tab in the Code Editor window in the Microsoft Visual C# .NET IDE and. See Figure 3

Figure 3. TestApiForm.cs displayed in the Microsoft Visual C# .NET IDE


Using API in LabVIEW

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | gives help on communication problems between the PC and the signal generator.
Instrument Problems | describes measurement or operation problems with the signal generator.
Printing Problems | describes how to resolve common printing problems.


Software Problems

Baseband Generator DAC over range

After downloading the waveform, the ESG displays error: Baseband Generator DAC over range.

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value. For example, 50 percent or less.

ESG Front panel keys do not work

After downloading the waveform, the ESG front panel keys do not work.

Cause: Downloading the waveform places the ESG in remote operation, which deactivates the front panel operation.

Solution: On the ESG, press the Local key to restore front panel operation.

ESG does not play the waveform

After clicking Download in the tool bar, the ESG does not play the waveform.

Cause: The configured bursts may exceed the length of the defined frame or the size of the generated waveform may exceed the Arb memory.

Solution: Click Check Parameters in the tool bar to verify that the configured bursts do not exceed the length of the defined frame. A parameter status window appears displaying OK if the configuration is valid. If there is invalid parameter usage, the parameter status window displays a red error symbol, parameter name, conflict description, and corrective action suggestions needed to modify the frame parameters. All conflicts must be resolved before the waveform can be generated.

In some configurations, the generated waveform size exceeds 8 Msamples. In this case, it isn't possible to transfer the waveform into the ESG with Options 001 or 601. Use an ESG with Options 002 or 602 for more waveform memory. (You can check your waveform size under Data Points in the Project Property. window.)

An Authorization dialog box or license error message appears

After clicking Download in the tool bar, or either Test Connection or Test All Connections in the Instruments window, an Authorization dialog box or license error message appears.

Cause: A license file for a signal generator being used cannot be found on the PC or in the instrument.

Solution: The software requires a license to be fully functional. You must have either a permanent license or a non-expired 14-day trial license for each signal generator being used. Make sure that any permanent license file is in the directory: C:\Program Files\Keysight\Signal Generation License Files\Drop on your computer. To get a free one time 14-day trial license or purchase a permanent license, see Licensing.

"FW version is not valid"

After clicking Test Connection or Test All Connections, "FW version is not valid" appears in the Note column of the Instruments window.

Cause: The current firmware version of the signal generator needs to be upgraded.

Solution: See system requirements for information on updating the required firmware.

"Connection failed"

After clicking Test Connection or Test All Connections, "Connection failed" appears in the Note column of the Instruments window.

Cause: The instrument connection via LAN or GPIB may not be properly enabled.

Solution: Verify that all equipment is properly connected and that any LAN or GPIB interface has been correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the Instrument window matches the instrument and interface you are using.


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the utility Connection Expert, installed with the Keysight IO Libraries. Full information on using Connection Expert is available in the IO Libraries Suite Online Help.

Troubleshooting the GPIB Interface

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the signal generator.

  3. Verify that the GPIB address entered in the software matches that of the ESG. In the software, click Hardware in the tree view to view the GPIB settings.

  4. Validate the connection. Select an ESG connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the ESG.

  5. Review the information about installing Keysight I/O libraries.

National Instruments GPIB Card

If you are using a National Instruments (NI) GPIB card and errors occur when you download a waveform, follow steps 1-3 below. If you have both an Keysight and a National Instruments GPIB card installed, and you want to use the Keysight card, you will also need to perform steps 4-5.

  1. Uninstall any Keysight IO Libraries that you have previously installed.

  2. Ensure that you have both the NI PCI card drivers and NI VISA installed, and verify that the NI card is working.

  3. Reinstall Keysight IO Libraries version 14.2. If you select a ”Custom” installation, make sure the ”Keysight VISA as primary VISA” is unchecked in the Select Features window. This is the default setting for a ”Typical” installation.

Continue with steps 4-5 only if you have both Keysight and NI GPIB cards installed.

  4. Open National's Measurement and Automation Explorer (MAX).

  5. Select Tools > NI-Visa > Visa Options > Passports. Ensure the NiVisaTulip.dll box is checked.

Troubleshooting the LAN Interface

If the ESG is connected directly to a computer, use a crossover LAN cable; if the ESG is connected to a network/external server, use a standard LAN cable.

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the LAN cable is securely connected to the PC and the signal generator.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. Verify that the Hostname or IP address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the LAN settings.

  5. Validate the connection. Select an ESG connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the ESG.

  6. Run the 'ping' program:

    1. On the computer go to Start > Programs > Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>,

      where <IP address> is the ESG's IP address.

    3. If the signal generator does not respond, contact your IT department for help.

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Keysight


Instrument Problems

Signal Generator

Error Messages

  1. Check the signal generator for any error messages. If possible, correct any conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the ESG/MXG display. You can view the full text of the error message either by using the front panel of the ESG/MXG or by executing SCPI commands.

    Front Panel:

    Press Utility > Error Info.

    SCPI:

    Execute the SCPI error commands described in the System Subsystem located in the ESG/PSG SCPI Command Reference.

  2. Refer to the ESG or MXG documentation for further troubleshooting.

  3. Contact a Keysight Technologies Service Center.

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates front panel operation. To restore front panel operation to the signal generator, press the Local key on the signal generator, or press the Local button in the software.

Computer

  1. Verify that the equipment meets the minimum requirements, as described in the system requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Software Problems

Interface Problems

Contacting Keysight


Printing Popup Topics

The Popup Text Prints Over Existing Topic

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


Release Notes

N7606B Release Notes

Version 4.0 - Jun 2016

Version 3.7 - Sep 2015

Version 3.6 - Sep 2014

Version 3.5 - Nov 2013

Version 3.4 - Aug 2012

Version 3.3 - Apr 2012

Version 3.2 - Oct 2011

Version 1.2 - Jul 2008

Version 1.1 - Jun 2008

Version 1.0 - Feb 2008

Version 4.0 - Jun 2016

Enhancements

  • Supports BLE 5.0, including:

    • 2 Mbps

    • Coded PHY for Long Range

  • Combined Basic Rate and Enhanced Rate together under same N7606B-Rxx license option

  • Added a read-only Waveform Length field

  • Added a read-only Packet Length field for BLE

Bug Fixes

  • Fixed problem where the Packet Interval should have been coupled with the PDU length, based on the specification

Version 3.7 - Sep 2015

Enhancements

  • Added direct-connectivity support for the E6640A EXM Wireless Test Set

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Minor Enhancement Updates (MEU) -- Option U03 or greater

  • Support the maximum length of LL_DATA and reference packet of Low Energy up to 255 octets

  • Support new LL Control Packets of Low Energy in Core_v4.1 and v4.2

  • Support maximum length of Packet Interval of Low Energy packet up to 150000 symbols

Bug Fixes

  • Number Of Padding Packets can now be set

  • Low Energy waveforms can now be downloaded and played in the E4438C ESG with legacy connectivity option

  • Relative Power in Basic/EDR format now works as expected

  • The coupled RF center frequency is now correct when changing the Channel Index

Version 3.6 - Sep 2014

Enhancements

  • Applied Keysight brand to software

Minor Enhancement Updates (MEU) -- Option U02 or greater

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

  • Added direct connectivity for the E6607 EXT

Version 3.5 - Nov 2013

Enhancements

  • Added support for the E6630A Wireless Connectivity Test Set

Minor Enhancement Updates (MEU) -- Option U01 or greater

  • Added dirty transmitter support for low energy technology

Bug Fixes

  • Bursting can now be turned off for EDR signals. In this case, the modulation type is also selectable, depending on packet type.

  • The Total Sample Points parameter now refreshes and displays the correct value whenever the total sample points in the waveform are changed.

  • The number of packets for each parameter set is modified according to 5.1.17, 5.1.18 , 5.1.23 of RF-PHY.TS.4.0.3. In the previous release, only two packets were transmitted for each parameter set, no matter what packet type was selected.

  • The low energy packet structure is modified according to Core V4.0 Volume 6 Part B Section 2.

Version 3.4 - Aug 2012

Enhancements

  • Added support for the M9381A PXIe Vector Signal Generator

Version 3.3 - Apr 2012

Enhancements

  • Added support for N5182B MXG and N5172B EXG X-Series RF vector signal generators, starting with firmware revision B.01.00

Version 3.2 - Oct 2011

Enhancements

  • Added Windows 7 support

  • Added connectivity for PXB

  • Added non-live (waveform export) connectivity for EXT

  • Added 50-pack waveform licensing support

  • Waveform name length increased to 22 characters

Version 1.2 - Jul 2008

  • Changed Ultra Low Power to Bluetooth low energy wireless technology

Version 1.1 - Jun 2008

Enhancements

  • Added connectivity for the N5162A MXG ATE vector signal generator

Version 1.0 - Feb 2008

Initial Release Features

Software version 1.0 is the initial release of N7606B Signal Studio for Bluetooth and is used to generate fully coded Bluetooth packets and Bluetooth modulated data streams that comply with Bluetooth version 2.1 + EDR and Bluetooth low energy wireless technology standards for component or receiver test.

  • Signal Creation

    • Standard-based signals for Bluetooth v 2.1+EDR and Bluetooth low energy wireless technology

    • Fully coded Bluetooth packets and Bluetooth modulated data streams for both basic and enhanced data rate

    • Dirty transmitter test setup for receiver sensitivity tests using DHx, 2-DHx, 2-EVx, 3-DHx and 3-EVx packet types

    • Frequency hopping in baseband waveforms for Bluetooth v 2.1+EDR with selection kernel sequence or user-defined hopping sequence

    • Simple BER test optimization using BER vs. payload gate delay plot results with E4438C

    • Data stream and packet payload types: PN9, PN15, user-defined pattern, custom user files

  • Signal Generator Control and Additive Impairments

    • Compatible instruments: N5182A MXG, E4438C ESG, E8267D PSG signal generators

    • Control frequency, amplitude, ALC, waveform scaling, triggers, markers, and more

    • Signal impairments: carrier frequency offset, symbol timing error, modulation index, frequency drift, relative power, AWGN and more

    • Real-time fading with Baseband Studio

  • Application Programming Interface (API) for automating signal creation


Glossary

ACL | Asynchronous Connection-Less
ACP | Adjacent Channel Power
ADS | Advanced Design System
AM ADDR | Active Member Address
AWGN | Additive White Gaussian Noise
BD ADDR | Bluetooth Device Address
BER | Bit Error Rate
BT | Bandwidth Time product
CCDF | Complementary Cumulative Distribution Function
CRC | Cyclic Redundancy Check
DAC | Digital/Analog Converter
DH | Data-High Rate
DUT | Device Under Test
DV | Data Voice
dBm | Decibels relative to 1 milliwatt
EDR | Enhanced Data Rate
EIR | Extended Inquiry Response
sSCO | Extended Synchronous Connection Oriented
FEC | Forward Error Correction
FH | Frequency Hopping
FHS | Frequency Hopping Synchronization
FHSS | Frequency Hopping Spread Spectrum
FSK | Frequency Shift Keying
GFSK | Gaussian Filtered Frequency Shift Keying
GPIB | General Purpose Interface Board
HEC | Header Error Check
HV | High Quality Voice
IF | Intermediate Frequency
I/Q | Inphase/Quadrature
ISM | Industrial, Scientific, and Medical
LAP | Lower Address Part
LSB | Least Significant Bit
Mbps | Million (Mega) bits per second
PC | Personal Computer
PDU | Protocol Data Unit
PN | Pseudorandom Noise
PN9 | Pseudorandom Noise of period 29-1
PN15 | Pseudorandom Noise of period 215-1
RF | Radio Frequency
SEQN | Sequential Numbering scheme
SCO | Synchronous Connection Oriented
SIG | Special Interest Group
TDD | Time-Division Duplex
TTL | Transistor-Transistor Logic
VSA | Vector Signal Analyzer


Additional Information

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7606B System Requirements

To generate signals using the N7606B Signal Studio for Bluetooth software, you must have a properly configured PC and a properly configured instrument, as described in the following table

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Additional options to consider:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Additional options to consider:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG vector signal generator

(For more information see the Configuration Guide.)

Firmware version A.01.10 or later (how to upgrade)

N7606B Signal Studio for Bluetooth software

License for N7606B (see Licensing topic)

One of the following baseband generator options:

  • N5182A-650,- 651, -652, or -653

Recommended: N5182A-UNV (enhanced dynamic range), N5182A-403 (calibrated real-time noise)

E4438C ESG vector signal generator

(For more information see the Configuration Guide.)

Firmware version C.04.84 or later (how to upgrade)

N7606B Signal Studio for Bluetooth software

License for N7606B (see Licensing topic)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

E4438C-UN7 (internal bit error rate analyzer, required for BER testing)

E8267D PSG vector signal generator

(For more information see the Configuration Guide.)

Firmware version C.04.92 or later ( how to upgrade)

N7623B Signal Studio for Digital Video software License

One of the following baseband generator options:

  • Option 001 (internal baseband generator with 8 Msample memory)

  • Option 002 (internal baseband generator with 32 Msample memory)

  • Option 602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Option 005 (6 GB internal hard drive, recommended)

Option 403 (calibrated noise personality, required for C/N capability, recommended)

One of the following frequency range options:

  • Option 503 (250 kHz to 3 GHz frequency range)

  • Option 504 (250 kHz to 4 GHz frequency range)

  • Option 506 (250 kHz to 6 GHz frequency range, recommended)

N5106A PXB baseband generator and channel emulator

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 I/O channels - 2 analog I/Q out and 2 digital I/O)

  • N5106A-EFP (Baseband Generation)

  • N5106A-JFP (Calibrated AWGN)

E6607A/B/C EXT wireless communications test set

Firmware:

Version A.12.74 or later

Required options:

E6607A-503 (3 GHz) or E6607B/C-504 (3.8 GHz)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M9381A PXIe vector signal generator

  • E6640A EXM wireless test set

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


1. Bursting and Power Ramp

Bursting Active

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the bursting in the waveform. When enabled, the packet transmission timing of the test signal adheres to the

Bluetooth TDD slot structure for the selected packet type.

Figure 1. Bursted and non-bursted single slot packet transmission.

Power Ramp/ Ramp Settling

Power Ramp

Range: 1 to 10 us

Default: 6 us

Power Settling

Range: 1 to 20 us

Default: 6 us

At the beginning and end of a packet transmission, the signal source ramps power following a user-defined burst profile. The burst profile is defined by setting the Power Ramp and Ramp Settling fields with the desired time duration (in microseconds) (see figure below). The ramp profile is the duration of time prior to the first symbol transmission, over which the carrier frequency is ramped from idle power to transmit power. The power ramp is shaped with a cosine function, and length of the ramp can be adjusted. The Ramp Settling field sets the length of time allowed for the power level to stabilize prior to the first symbol transmission of the first bit of the preamble.

Figure 2. Burst profile of a single slot packet transmission with 6 μs power ramp and ramp settling.

Figure 3. Burst profile of a single slot packet transmission with 2 μs power ramp and 4 μs ramp settling.


4. Clock/Gate Delay Calibration

Clock/Gate Delay Calibration

When clock and gate signals generated by the signal source are used to perform BER analysis, it is important to realize that the test signal transmitted by the signal source experiences a propagation delay through the device under test. As a result, the demodulated loopback signal must be realigned in time with the clock and gate signals at the input of the BER analyzer (see figure below). Delay control over the clock and gate signals is provided by the software to enable realignment with the test signal at the input of the BER analyzer.

For BER analysis, the following packet parameters must be set as follows:

Link Type: any Basic Data Rate selection (do not use Enhanced Data Rate)

Payload Distribution: Multiple Packet

Payload Data: PN9

Data Continuous: On

If the propagation delay characteristics for the device under test are known, enter the delay value in the clock/gate delay field during waveform configuration. The clock and gate signals associated with the waveform will be delayed by the indicated amount during waveform playback. The resolution of the clock/gate delay parameter is directly coupled to the oversampling ratio setting. It can be determined by dividing the symbol period (1 μs) by the oversampling ratio. To increase the incremental delay resolution, increase the oversampling ratio of the configured waveform. When doing so, remember that increasing the oversampling ratio also increases the projected length of the waveform.

If the delay parameter is unknown, leave the default value (0 μs) in the clock/gate delay field and finish configuring the waveform. After the waveform has been calculated, the clock/gate delay calibration utility can be used to determine the delay characteristics of the device under test.

Click [image] to open the Clock/Gate Delay Calibration Form, allowing access to additional parameters.


3. Dirty Transmitter

State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the dirty transmitter test. When this setting is set to On, the Dirty Transmitter Impairments Setup Table appears.

Turning on dirty transmitter will automatically disable 'Packet ' node and use the truncated PN9 sequence as payload.

Omit Poll Period

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to select whether to omit the poll period in the dirty transmitter test.

In Bluetooth systems, master and slave devices exchange information by alternating packet transmission in TDD mode. The poll period is used to simulate the time period when the other Bluetooth device would be transmitting its packets. Enabling omit poll period allows for verification setups where the Bluetooth TDD mode can be ignored; instead the signal source will create Bluetooth packets for every time slot. It is beneficial when comparing results against normal TDD mode to determine the effects of LO switching, or for comparing other state machine transitions. In characterizing receiver performance, or for high-speed verifications.

The figure below shows the timing diagram for each of the three packet types. The poll period is 625 microseconds long, during which time no data is transmitted. The Omit Poll Period is transmitted before each packet type, unless omit period is enabled. The amount of poll period(s) for each packet type is as follows:

  • DH1 = 1 poll period

  • DH2 = 3 poll periods

  • DH3 = 5 poll periods

Figure 1. Timing diagram for test set for each packet type

Date Rate

For Bluetooth Specification Version 1.1 only Basic data rate can be selected.

Packet Type

Choice: DH1 | DH3 | DH5

Default: DH1

Double-click or use the drop-down menu to select the packet type used for the dirty transmitter test. The three different packet types that can be chosen for the Bluetooth Specification Version 1.1 are DH1, DH3, and DH5. The payload for all packet types is a PN9 data sequence. The PN9 data sequence is truncated after the maximum amount of PN9 data has been placed in the packet. The payload length of each packet type is as follows:

  • DH1 = 27 bytes

  • DH3 = 183 bytes

  • DH5 = 339 bytes

Each impairment set consists of two to four packets. The sequence bit in the header field is toggled for the second and fourth packet to indicate to the Bluetooth device that the incoming packet is not a re-transmitted packet.

Dirty Transmitter Test Sets

Use the Pre-defined button [image] to open a Closed drop-down menu for selecting the pre-defined dirty transmitter profile. Clicking a configuration replaces the current configuration in the setup table.

Use the Add button [image] to add a new dirty transmitter set. When a new impairment set is added, The set is inserted in the table..

Use the Delete button [image] to delete the selected impairment set. The set to be deleted is indicated by the [image] in the first column.

Use the Copy button [image] to add a new impairment set that has the same configuration as the currently selected one (indicated by the [image] in the first column).

Use the Up and Down arrows [image] to reposition the currently selected set (indicated by the [image] in the first column).

Index

This cell displays the impairment set index number.

State

Use this cell to enable or disable a specified impairment set in dirty transmitter test.

Frequency Offset [kHz]

Range: -100 to 100kHz

Use this cell to set the static offset to the carrier frequency.

Modulation Index

Range: 0.28 to 0.4

Use this cell to set the modulation index of GFSK.

Symbol Timing Error [ppm]

Range: -50 to 50pp

Use this cell to set the shift of standard symbol rate.


2. Impairements

2. Impairments

Modulation Index

Range: 0.28 to 0.4

Default: 0.315

Specify the modulation index, which is the ratio of peak-to-peak frequency deviation to the bit rate. Modifying this parameter impairs the peak-to-peak frequency deviation only.

Frequency Drift

Click [image] box to specify the frequency drift impairment. This impairment adds a dynamic error to the transmission frequency. It is used to simulate the frequency drift impairment repeats at the beginning of each timeslot, and occurs across a period of time equal to the duration of the packet.

State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the frequency drift impairment applied to the packet.

Type

Choice: Linear | Sine

Default: Linear

Double-click or use the drop-down menu to select the type of frequency drift applied to the packet. The two different carrier frequency drift types that are available in the menu are linear and sine. The figures below illustrate the carrier frequency drift impairment for a single-slot packet. This concept can be extended to multi-slot packets as well. The maximum frequency drift deviation is user defined.

Figure 1. Linear frequency drift impairment

Figure 2. Sinusoidal carrier frequency drift impairment

Deviation

Range: -100 to 100kHz

Default: 0 kHz

Enter the maximum deviation of frequency drift impairment. Since packets are slightly shorter than the number of timeslots they occupy, they are not fully impaired by the second half of the drift cycle. Therefore, it is recommended you test separate positive and negative drift impairment cases by changing the drift deviation setting (for example, 25 kHz and -25 kHz).

Rate

Choice: 1.6kHz | 500Hz | 300Hz | 10kHz

Default: 1.6kHz

Double-click or use the drop-down menu to select the frequency drift rate.

Frequency Offset

Range: -100 to 100kHz

Default: 0kHz

Enter the static offset for the carrier frequency. This impairment adds a static error to the transmission frequency. It is used to simulate a Bluetooth device transmitting at a frequency slightly offset from the specified carrier.

Symbol Timing Error

Range: -50 to 50ppm

Default: 0ppm

Enter the shift of standard symbol rate for transmission. This impairment varies the symbol rate of the Bluetooth signal. Adding this impairment adjusts the standard one Msymbol/second rate by the set amount.


Packet

Click Packet in the Closed tree view to display the Packet Parameters Setup node for Bluetooth Version 1.1.

This setting is only available when Licenses State for N7606B-Qxx and N7606-nxx are enabled, N7606-Rxx is disabled. See Licenses for details.


1. General Setting

Link Type

Choice: SCO (Basic Data Rate) | ACL (Basic Data Rate)

Default: ACL (Basic Data Rate)

Double-Click of use the drop-down menu to select the link type of the packet.

Packet Type

Double-Click of use the drop-down menu to select the packet type.

Type code | Slot occupied | SCO | ACL
0000 | 1 | NULL | NULL
0001 | 1 | POLL | POLL
0010 | 1 | FHS | FHS
0011 | 1 | DM1 | DM1
0100 | 1 | undefined | DH1
0101 | 1 | HV1 | undefined
0110 | 1 | HV2 | undefined
0111 | 1 | HV3 | undefined
1000 | 1 | DV | undefined
1001 | 1 | undefined | AUX1
1010 | 3 | undefined | DM3
1011 | 3 | undefined | DH3
1110 | 5 | undefined | DM5
1111 | 5 | undefined | DH5
n/a | 1 | ID | ID

Occupied Slots

Display the number of time slots occupied by the specified packet.

Modulation Type:

Display the modulation type applied to the specified packet.

  • N/A

  • GFSK (BT=0.5): Basic Data Rate


2. Packet Setting

Packet Data Type

Choice: Standard | All Data

Default: Standard

Double-click or use the drop-down menu to select the packet data type.

  • Standard: using packet type information to generate packet data.

  • All Data: using raw data for packet data.

BD_ADDR

Range: 0x000000000000 to 0xFFFFFFFFFFFF

Default: 0x000000000008

Each Bluetooth device shall be allocated a unique 48-bit Bluetooth device address (BD_ADDR). This address shall be obtained from the IEEE Registration Authority. The address is divided into three fields: LAP, UAP and NAP. The structure of BD_ADDR is as follows:

LSB MSB

company_assigned |  |  |  |  |  | company_id
LAP |  |  |  |  |  | UAP |  | NAP
0000 | 0001 | 0000 | 0000 | 0000 | 0000 | 0001 | 0100 | 0111 | 1011 | 0011 | 0101

LAP

Range: 0x000000 to 0xFFFFFF

Default: 0x000008

This 24-bit field shall contain the lower address part of the device.

UAP

Range: 0x00 to 0xFF

Default: 0x00

This 8-bit field should contain the upper address part of the device.

NAP

Range: 0x0000 to 0xFFFF

Default: 0x0000

This 16-bit filed should contain the non-significant address part of the device.

The LAP and UAP form the significant part of the BD_ADDR. The bit pattern in Figure below is an example BD_ADDR.

AM_ADDR

Range: 0 to 7

Default: 1

Set the logical transport address in the packet header. The header field is created using the type code of the selected packet type and the active member address (AM ADDR) of the Bluetooth device for which the packet is intended. The AM ADDR is a 3-bit address used to distinguish between the active participating slaves on a piconet. To configure the AM ADDR, enter the 3-bit address in octal notation (most significant bit to least significant bit).

FLOW

Range: 0 to1

Default: 1

Set the flow control bit in the packet header.

ARQN

Range: 0 to 1

Default: 0

Set the ARQ control bit in the packet header. The 1-bit acknowledgment indication ARQN is used to inform the source of a successful transfer of payload data with CRC, and can be positive acknowledge ACK or negative acknowledge NAK.

SEQN

Range: 0 to 1

Default: 0

Set the sequential number index in the packet header. In Multiple Packet distribution case, the SEQN bit will be set automatically. In the first CRC data packet at the start of the connection, SEQN shall be set to 1. If a new packet is sent, the value of SEQN will be toggled. If the number of total packet is not even, a padding packet will be added to keep the SEQN toggling rule.


3. Payload Setting

Different Packet Type has different Payload Setting:

Type code | Slot occupied | SCO | ACL
0000 | 1 | NULL | NULL
0001 | 1 | POLL | POLL
0010 | 1 | FHS | FHS
0011 | 1 | DM1 | DM1
0100 | 1 | undefined | DH1
0101 | 1 | HV1 | undefined
0110 | 1 | HV2 | undefined
0111 | 1 | HV3 | undefined
1000 | 1 | DV | undefined
1001 | 1 | undefined | AUX1
1010 | 3 | undefined | DM3
1011 | 3 | undefined | DH3
1110 | 5 | undefined | DM5
1111 | 5 | undefined | DH5
n/a | 1 | ID | ID


2. Packet Setting

Packet Settings for Clock/Gate Delay Calibration

To enable Clock/Gate Daly Calibration, you need to set the Packet parameters as follows:

  • Link Type: ACL (Basic Data Rate) | eSCO (Basic Data Rate) | SCO (Basic Data Rate)
  • Payload Distribution: Multiple Packet
  • Payload Data: PN9
  • Data Continuous: On


Clock/Gate Delay Calibration Form

1. Clock/Gate Delay Setup

Clock/Gate Delay

Range: 1 to 100us

Enter this value to set the Clock/Gate Delay manually if the propagation delay characteristics for the device under test are known. Pressing the Set Delay button can also change this value.

2. Clock/Gate/Sweep Setup

If the delay parameter is unknown, the Clock/Gate Sweep Setup menu is used to configure the calibration utility, Once configured, the calibration utility generates a plot of BER versus clock/gate delay. From the plot, the correct clock gate delay setting to realign the signals at the input of the BER analyzer can be determined.

Start

Range: 1 to 100us

Default: 0.000us

Enter this value to set the start of the delay for the Clock/Gate calibration.

End

Range: 1 to 100us

Default: 2.000us

Enter this value to set the end of the delay for the Clock/Gate calibration.

Step Size

Range: 0.01 to 0.5us

Default: 0.1000us

Enter this value to set the incremental step of the delay for the Clock/Gate calibration.

Repeat

Range: 1 to 9

Default: 1

Enter this value to set the repeat times for the Clock/Gate calibration. When this field is set to two or greater, the BER results are plotted on the graph for each iteration of the measurement. By increasing the number of BER test repetitions, it can easily be determined if repeatable results are achievable.

3. BER Analyzer Settings

The signal source internal BER analyzer settings required to perform the clock/gate delay calibration also can be configured remotely using the Signal Studio software. Once configured, initiate the BER test sequence by pressing the [image] button. A plot of BER vs. clock/gate delay will be incrementally filled in as each BER test in the sweep is completed. With no impairments added to the signal, a delay that results in 0 % BER should be achievable.

Total Bits

Range: 100 to 4294967295

Default: 10000

Enter the value to set the total number of data bits to be analyzed at each delay increment.

Clock Polarity

Choice: Positive | Negative

Default: Positive

Select the Clock Polarity

Date Polarity

Choice: Positive | Negative

Default: Positive

Select the Data Polarity

Gate Polarity

Choice: Positive | Negative

Default: Positive

Select the Gate Polarity

Impedance

Choice: TTL | 75ohm

Default: TTL

Select the impedance


Hardware Settings

Hardware

Select this view to display read-only information about the hardware system. When using simulated hardware, the Closed property page shows <Simulated Hardware> in the Name and Connection cells, and N/A in most of the other cells.

Run Self-Tests

Click this button to run an I/O interface connection test between the signal generator and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Test I/O Connections

Click this button to run an I/O interface connection test between the signal generator and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system when it is configured with the wizard.

Description

View the hardware configuration type.

2. Signal Generator Details

Connection

View the connectivity method, such as LAN or GPIB.

Model Number

View the signal generator model number.

Serial Number

View the signal generator serial number.

Firmware Revision

View the signal generator firmware revision number.

2.1 Options

View the list of options installed on the selected signal generator.

For a complete description of the available signal generator options, see the signal generator's data sheet.


SCO/ACL

Asynchronous Connection-Less (ACL) link

The ACL link is a point-to-multipoint link between the master and all slaves participating on the piconet. It is considered a packet-switched connection primarily intended for transmitting non-time sensitive information, like data.

Synchronous Connection-Oriented (SCO) link

The SCO link is a point-to-point link between the master and a single slave. It is considered a circuit-switched connection primarily intended for transmitting time sensitive information, like voice.


SCO/ACL/eSCO

Asynchronous Connection-Less (ACL) link

The ACL link is a point-to-multipoint link between the master and all slaves participating on the piconet. It is considered a packet-switched connection primarily intended for transmitting non-time sensitive information, like data.

Synchronous Connection-Oriented (SCO) link

The SCO link is a point-to-point link between the master and a single slave. It is considered a circuit-switched connection primarily intended for transmitting time sensitive information, like voice.

Extended Synchronous Connection-Oriented (SCO) link

The eSCO is the user extended synchronous data logical link. EV packets are used on the synchronous eSCO logical transport. The packets include a CRC and retransmission may be applied if no acknowledgement of proper reception is received within the retransmission window. eSCO packets may be routed to the synchronous I/O port. Three eSCO packet types (EV3, EV4, EV5) are defined for Basic Rate operation and four additional eSCO packet types (2-EV3, 3-EV3, 2-EV5, 3-EV5) for Enhanced Data Rate operation. The eSCO packets may be used for 64kb/s speech transmission as well as transparent data at 64kb/s and other rates.